program housing_search

	use mod_globvar
	use dfport

	implicit none
	
	integer :: load_prices
	real(8), dimension(2) :: initialguess, input_zc_rscost

	!------------------------------------------------
	!Illiquidity, Debt, and Housing -- Stationary model with capital accumulation
	!------------------------------------------------
		
	!Configure model
	call sub_config
	
	!Set parameters
	call sub_params
	
	write(*,*), '"Michael Jordan" shock? (1 = yes, 0 = no)'
	read(*,*) rich_shock
	
	!Generate grids, etc.
	call sub_initialize
	
	write(*,*), 'Load zc and rscost? (1 = yes, 0 = no)'
	read(*,*) input_zc
	if (input_zc == 1) then
		open(unit=11,	file='Input\input_zc_rscost.txt')
		read (11, *) input_zc_rscost
		close(11)
		zc     = input_zc_rscost(1)
		rscost = input_zc_rscost(2)
	endif
	
	write(*,*), 'Load prices? (1 = yes, 0 = no)'
	read(*,*) load_prices
	if (load_prices == 1) then
		open(unit=11,	file='Input\initialguess.txt')
		read (11, *) initialguess
		close(11)
		kc = initialguess(1)
		ph = initialguess(2)
	else
		write(*,*), 'Enter initial capital guess'
		read(*,*) kc
		write(*,*), 'Enter initial ph guess'
		read(*,*) ph
	endif
	
	!Compute equilibrium of model with housing production
	call sub_equilibrium
	
	!Compute simulation of individuals in the economy
!	call sub_simulate
	
	!Compute aggregate statistics
	call sub_aggstats_ratiomeans
	
	!Compute aggregate results
!	call sub_aggresults

	!New results
	call sub_aggresults_supplement

end program housing_search