subroutine sub_config

	use mod_globvar
	
	implicit none
	
	!This subroutine sets up how the model will run
	
	integer :: userconfirm
	integer, dimension(9) :: config_model
	
	!Load configuration
	open(unit=11,	file='Input\config_model.txt')
	read (11, *) config_model
	close(11)
	valfn_type        = config_model(1)
	matchfunction     = config_model(2)
	monthly_quarterly = config_model(3)
	load_params       = config_model(4)
	num_threads       = config_model(5)
	num_threads_simul = config_model(6)
	load_data         = config_model(7)
	print_input       = config_model(8)
	print_output      = config_model(9)
	
	!Confirm configuration
	print *, ' '
	if (valfn_type == 1) then
		write(*, '(a28)'), '         Value function: CES'
	elseif (valfn_type == 2) then
		write(*, '(a28)'), '         Value function: E-Z + CES'
	endif
	if (matchfunction == 1) then
		write(*, '(a28)'), '      Matching function: C-D'
	else
		write(*, '(a28)'), '      Matching function: CES'
	endif
	if (monthly_quarterly == 1) then
		write(*, '(a28)'), '   Matching mos to qtrs? Yes'
	elseif (monthly_quarterly == 0) then
		write(*, '(a27)'), '   Matching mos to qtrs? No'
	endif
	if (load_params == 1) then
		write(*, '(a28)'), '    Load parameter file? Yes'
	elseif (load_params == 0) then
		write(*, '(a27)'), '    Load parameter file? No'
	endif
	write(*, '(a25 i2)'), '          Cores for VFI: ',num_threads
	write(*, '(a25 i2)'), '   Cores for simulation: ',num_threads_simul
	if (load_data == 1) then
		write(*, '(a28)'), '        Load data files? Yes'
	elseif (load_data == 0) then
		write(*, '(a27)'), '        Load data files? No'
	endif
	write(*, '(a25 i2)'), '            Print input: ',print_input
	write(*, '(a25 i2)'), '           Print output: ',print_output
	print *, ' '
	write(*,*), 'Ok? (1 = yes, 0 = no)'
	read(*,*) userconfirm
	if (userconfirm == 0) then
		write(*,*), 'Load parameters from file? (1 = yes, 0 = no)'
		read(*,*) load_params
		write(*,*), 'Value function type? (1 = CES, 2 = E-Z + CES)'
		read(*,*) valfn_type
		write(*,*), 'Matching function? (1 = C-D, 2 = CES)'
		read(*,*) matchfunction
		write(*,*), 'Convert matching function from monthly to quarterly? (1 = yes, 0 = no)'
		read(*,*) monthly_quarterly
		write(*,*), 'Enter number of cores for vfi'
		read(*,*) num_threads
		write(*,*), 'Enter number of cores for simulation (<= 25)'
		read(*,*) num_threads_simul
		write(*,*), 'Load data files? (1 = yes, 0 = no)'
		read(*,*) load_data
		write(*,*), 'Print input? (0 - 2)'
		read(*,*) print_input
		write(*,*), 'Print output? (0 - 2)'
		read(*,*) print_output
	endif

end subroutine sub_config