subroutine sub_valfn_reo

	use mod_globvar

	implicit none

	!This program computes value function iteration - MAXIMUM APARTMENT SIZE

	!Indices
	integer :: iter_j, ih, ix

	!Updated value function
	real(8), dimension(nh) :: Jnew
		
	!Other internal variables
	real(8) :: err_j, Jnosell, R_maxsofar, ysell, rval
	integer :: x_maxsofar
	
	!******* External functions to be called *******
	real(8), external :: xs
	
!	print *, ' '
!	print *, 'Compute optimal REO selling behavior'
!	print *, ' '
	do iter_j = 1, 1000
		do ih = 1, nh
			!Jnosell = -maint*ph*hh(ih) + (1 - deprec_h)/(1 + rf)*Jreo(ih)
			Jnosell = (1 - deprec_h)/(1 + rf)*Jreo(ih)
			!Option value of selling
			R_maxsofar = -1e8
			x_maxsofar = 1
			do ix = 1, nx
				ysell = xs(xx(ix),hh(ih),ph)*(1 - fdiscount)*(1 - sellcost)
				rval  = psearch*prob_xs(ix)*(ysell - Jnosell)
				if (rval > R_maxsofar) then
					R_maxsofar = rval
					x_maxsofar = ix
				endif
			enddo
			if (R_maxsofar > 0.0) then
				Jnew(ih)      = Jnosell + R_maxsofar
				psell_reo(ih) = psearch*prob_xs(x_maxsofar)
				xs_reo(ih)    = xs(xx(x_maxsofar),hh(ih),ph)*(1 - fdiscount)
			else
				Jnew(ih)      = Jnosell
				psell_reo(ih) = 0.d0
				xs_reo(ih)    = xs(xx(nx),hh(ih),ph)*(1 - fdiscount)
			endif
		enddo
		err_j = maxval(abs(Jnew - Jreo))
		Jreo = Jnew
		if (err_j < 1e-8) then
			exit
		endif
!		write(*, '(a22, i4, a12, f11.6)'), '          Iteration = ',iter_j, ', err = ',err_j
	enddo

end subroutine sub_valfn_reo