program housing_search

	use mod_globvar
	use dfport
	
	implicit none
	
	!------------------------------------------------
	!Illiquidity, Debt, and Housing -- Model with aggregate shocks (closed economy with capital accumulation)
	!------------------------------------------------
	
	integer :: algorithm

	!Configure model
	call sub_config
	
	!Set parameters
	call sub_params
	
	write(*,*), '"Michael Jordan" shock? (1 = yes, 0 = no)'
	read(*,*) rich_shock
	
	!Generate grids, etc.
	call sub_initialize

	write(*,*), 'Which algorithm to run? (1 = equilibrium, 2 = aggresults, 3 = impulse response)'
	read(*,*) algorithm
	
	!Run model
	if (algorithm == 1) then
		call sub_equilibrium
	elseif (algorithm == 2) then
		write(*,*), 'Load existing time series? (1 = yes, 0 = no)'
		read(*,*) load_series
		if (load_series == 0) then
			load_data = 1
		endif
		call sub_aggresults
	elseif (algorithm == 3) then
		load_data = 1
		call sub_impulseresponse
	endif

end program housing_search