subroutine sub_aggresults

	use mod_globvar
	use mod_interpolate

	implicit none

	!This program computes aggregate statistics for the equilibrium of the model

	!Indices-- individual states and choice variables
	integer :: imprime, ibprime, ig, ih, is
	
	!Indices-- aggregate states and miscellaneous
	integer :: iz, izprime, iagg, it, iz0, iph0, ik0
	
	!Time series statistics
	real(8), dimension(:), allocatable :: sdvec
	real(8), dimension(:,:), allocatable :: timeseries_mod, corrmat, autocorrmat, crosscorrmat, phregress
	real(8) :: Rsquared
	
	!Vector of configuration parameters for aggresults subroutine
	integer, dimension(9) :: config_aggresults
	
	!Other internal variables
	real(8) :: ylower, phe0, rk_expect
	integer :: index, T, T_ignore, nseries, refvar, nlagcorr, nlagreg, ph_id, yc_id
	real(8), dimension(:), allocatable :: zrand, ph_t, ph_tprime, qb_t, yh_t, yc_t, gdp_t, invest_h_t, invest_k_t, cons_t, hcons_t, kstock_t, kstock_tprime, hownstock_t, networth_t, &
	assets_t, assets_tprime, hwealth_t, mortdebt_t, ownrate_t, turnover_t, tradevol_t, existsales_t, reosales_t, reosaleshare_t, newsaleshare_t, salesrate_t, inventories_t, &
	months_supply_t, frate_t, htot_t, tax_t, tax_tprime, mean_TOMbuy_t, mean_TOMsell_t, defaultprem_t, defaultprem_ltv80_t, defaultprem_ltv90_t, defaultprem_ltv95_t, num_orig_ltv80_t, &
	num_orig_ltv90_t, num_orig_ltv95_t
	integer, dimension(:), allocatable :: locz_t, locz_tprime
	
	!!!Welfare analysis of recourse policy
	real(8), dimension(:), allocatable :: welfare_change_all_t, welfare_change_renters_t, welfare_change_lowltv_t, welfare_change_ltv80_t, welfare_change_ltv90_t, welfare_change_ltv95_t
	integer :: im, iy
	
	!!!Buyer wealth quintiles
	real(8), dimension(:), allocatable :: buyerwealth_q1_t, buyerwealth_q2_t, buyerwealth_q3_t, buyerwealth_q4_t, buyerwealth_q5_t
		
	!Load configuration
	open(unit=11,	file='Input\config_aggresults.txt')
	read (11, *) config_aggresults
	close(11)
	nlagcorr = config_aggresults(8)
	nlagreg  = config_aggresults(9)
	if (load_series == 1) then
		open(unit=11,	file='Time series\nseries.txt')
		read (11, *) nseries
		close(11)
		open(unit=11,	file='Time series\T.txt')
		read (11, *) T
		close(11)
		open(unit=11,	file='Time series\T_ignore.txt')
		read (11, *) T_ignore
		close(11)
	else
	    T             = config_aggresults(1)
	    T_ignore      = config_aggresults(2)
	    itermax       = config_aggresults(3)
	    itermax_accel = config_aggresults(4)
	    iz0           = config_aggresults(5)
	    iph0          = config_aggresults(6)
		ik0           = config_aggresults(7)
		nseries       = 46
	endif
	
	!!!Welfare analysis of recourse policy
	!Allocate
	allocate(welfare_change_all_t(T))
	allocate(welfare_change_renters_t(T))
	allocate(welfare_change_lowltv_t(T))
	allocate(welfare_change_ltv80_t(T))
	allocate(welfare_change_ltv90_t(T))
	allocate(welfare_change_ltv95_t(T))
	allocate(Wown_f0_new(ny,nm,ng,ns,nz,nagg))
	allocate(Wown_f1_new(ny,ng,ns,nz,nagg))
	allocate(Wrent_f0_new(ny,ns,nz,nagg))
	allocate(Wrent_f1_new(ny,ns,nz,nagg))
	!Load files
	open(unit=11,	file='Output\Recourse\Wown_f0.txt')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do im = 1, nm
						do iy = 1, ny
							read (11, *) Wown_f0_new(iy,im,ig,is,iz,iagg)
						enddo
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	open(unit=11,	file='Output\Recourse\Wown_f1.txt')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do iy = 1, ny
						read (11, *) Wown_f1_new(iy,ig,is,iz,iagg)
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	open(unit=11,	file='Output\Recourse\Wrent_f0.txt')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do iy = 1, ny
					read (11, *) Wrent_f0_new(iy,is,iz,iagg)
				enddo
			enddo
		enddo
	enddo
	close(11)
	open(unit=11,	file='Output\Recourse\Wrent_f1.txt')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do iy = 1, ny
					read (11, *) Wrent_f1_new(iy,is,iz,iagg)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	!!!Buyer wealth quintiles
	allocate(buyerwealth_q1_t(T))
	allocate(buyerwealth_q2_t(T))
	allocate(buyerwealth_q3_t(T))
	allocate(buyerwealth_q4_t(T))
	allocate(buyerwealth_q5_t(T))
	
	!Allocate variables for simulation and time series generation
	!Aggregate shocks
	allocate(zrand(T + 1))
	allocate(locz_t(T + 1))
	allocate(locz_tprime(T))
	!Equilibrium prices
	allocate(ph_t(T))
	allocate(ph_tprime(T))
	allocate(qb_t(T))
	!Output and capital stock
	allocate(yh_t(T))
	allocate(yc_t(T))
	allocate(gdp_t(T))
	allocate(kstock_t(T))
	allocate(kstock_tprime(T))
	!Consumption and investment
	allocate(cons_t(T))
	allocate(hcons_t(T))
	allocate(invest_h_t(T))
	allocate(invest_k_t(T))
	!Homeownership rate, and housing stock
	allocate(ownrate_t(T))
	allocate(htot_t(T))
	allocate(hownstock_t(T))
	!Assets, debt, and net worth
	allocate(networth_t(T))
	allocate(assets_t(T))
	allocate(assets_tprime(T))
	allocate(hwealth_t(T))
	allocate(mortdebt_t(T))
	!Sales, inventories, and foreclosures
	allocate(turnover_t(T))
	allocate(tradevol_t(T))
	allocate(existsales_t(T))
	allocate(reosales_t(T))
	allocate(reosaleshare_t(T))
	allocate(newsaleshare_t(T))
	allocate(salesrate_t(T))
	allocate(inventories_t(T))
	allocate(months_supply_t(T))
	allocate(frate_t(T))
	allocate(mean_TOMbuy_t(T))
	allocate(mean_TOMsell_t(T))
	!Taxes
	allocate(tax_t(T))
	allocate(tax_tprime(T))
	!Misc
	allocate(defaultprem_t(T))
	allocate(defaultprem_ltv80_t(T))
	allocate(defaultprem_ltv90_t(T))
	allocate(defaultprem_ltv95_t(T))
	allocate(num_orig_ltv80_t(T))
	allocate(num_orig_ltv90_t(T))
	allocate(num_orig_ltv95_t(T))
	
	!Business cycle statistics
	allocate(timeseries(T,nseries))
	allocate(timeseries_mod(T - T_ignore,nseries))
	allocate(sdvec(nseries))
	allocate(corrmat(nseries,nseries))
	
	!Generate time series
	if (load_series == 1) then
		open(unit=11,	file='Time series\timeseries.txt')
		do it = 1, T
			read (11, *) (timeseries(it,index), index = 1,nseries)
		enddo
		close(11)
	else
		!Initialize value functions, forecasting coefficients, and mortgage prices
		if (load_data == 1) then
			!Load value functions, forecasting coefficients, and mortgage prices
			call sub_loadfiles
			!Forecasting equations
			do iz = 1, nz
				do iagg = 1, nagg
					do izprime = 1, nz
						phprime(iz,iagg,izprime)     = dot_product(forecast_coeff(1,:,iz,izprime),forecast_vec(:,iagg))
						kaggprime(iz,iagg,izprime)   = dot_product(forecast_coeff(2,:,iz,izprime),forecast_vec(:,iagg))
						taxprime(iz,iagg,izprime)    = dot_product(forecast_coeff(3,:,iz,izprime),forecast_vec(:,iagg))
						iaggprime(iz,iagg,izprime,1) = aggfun(lp(phprime(iz,iagg,izprime)),lk(kaggprime(iz,iagg,izprime)))
						iaggprime(iz,iagg,izprime,2) = aggfun(up(phprime(iz,iagg,izprime)),lk(kaggprime(iz,iagg,izprime)))
						iaggprime(iz,iagg,izprime,3) = aggfun(lp(phprime(iz,iagg,izprime)),uk(kaggprime(iz,iagg,izprime)))
						iaggprime(iz,iagg,izprime,4) = aggfun(up(phprime(iz,iagg,izprime)),uk(kaggprime(iz,iagg,izprime)))
						waggprime(iz,iagg,izprime,1) = (1 - wp(phprime(iz,iagg,izprime)))*(1 - wk(kaggprime(iz,iagg,izprime)))
						waggprime(iz,iagg,izprime,2) = wp(phprime(iz,iagg,izprime))*(1 - wk(kaggprime(iz,iagg,izprime)))
						waggprime(iz,iagg,izprime,3) = (1 - wp(phprime(iz,iagg,izprime)))*wk(kaggprime(iz,iagg,izprime))
						waggprime(iz,iagg,izprime,4) = wp(phprime(iz,iagg,izprime))*wk(kaggprime(iz,iagg,izprime))
						call sub_factorprices_sh(kaggprime(iz,iagg,izprime),eavg,phprime(iz,iagg,izprime),zc(izprime),zh(izprime),wprime(iz,iagg,izprime),rkprime(iz,iagg,izprime))
					enddo
					rk_expect   = dot_product(rkprime(iz,iagg,:),prob_zz(iz,:))
					qb(iz,iagg) = 1/(1 + rk_expect - deprec_k)
					rb(iz,iagg) = 1/qb(iz,iagg) - 1
					qm(iz,iagg) = (1 - deprec_h)/((1 + rb(iz,iagg))*(1 + rscost))
				enddo
			enddo
			!Optimal REO behavior
			Jreo = -100.d0
			call sub_valfn_reo
			!Calculate lower bound of y at mortgage origination
			do iz = 1, nz
				do iagg = 1, nagg
					do is = 1, ns
						do ig = 1, ng
							ih = hfun(ig)
							ylb(ig,is,iz,iagg) = max_y
							do imprime = 1, nm
								do ibprime = 1, nb
									if (qm0(imprime,ibprime,ig,is,iz,iagg)*mm(imprime) <= max_ltv*ph(iagg)) then
										ylower = qb(iz,iagg)*bb(ibprime) - qm0(imprime,ibprime,ig,is,iz,iagg)*mm(imprime)*hh(ih)
										if (ylower < ylb(ig,is,iz,iagg)) then
											ylb(ig,is,iz,iagg) = ylower
										endif
									endif
								enddo
							enddo
						enddo
					enddo
				enddo
			enddo
			!Compute value function iteration
			toler = 1e-6
			if (valfn_type == 1) then
				call sub_valfn_ces
			elseif (valfn_type == 2) then
				call sub_valfn_ez_ces
			endif
		endif
		!Generate sequence of aggregate shocks		
		do it = 1, T + 1
			call random_number(zrand(it))
			if (it == 1) then
				do iz = 1, nz
					if (zrand(it) <= sum(stationary_z(1:iz))) then
						locz_t(it) = iz
						exit
					endif
				enddo
			else
				do iz = 1, nz
					if (zrand(it) <= sum(prob_zz(locz_t(it - 1),1:iz))) then
						locz_t(it) = iz
						exit
					endif
				enddo
			endif
		enddo
		!Generate {z(t+1)}
		do it = 1, T
			locz_tprime(it) = locz_t(it + 1)
		enddo
		!Simulate economy
		print *, ' '
		print *, '     Generate time series'
		call sub_stationary(iz0,aggfun(iph0,ik0))
		call sub_aggstats_ratiomeans(iz0,aggfun(iph0,ik0),kstock_t(1),assets_t(1))
		phe0 = ph(aggfun(iph0,ik0))
		do it = 1, T
			call sub_simulate(it,1,locz_t(it),locz_tprime(it),kstock_t(it),assets_t(it),phe0,ph_t(it),kstock_tprime(it),assets_tprime(it),tax_t(it),yh_t(it),yc_t(it),ownrate_t(it),htot_t(it))
			if (it <= T - 1) then
				kstock_t(it + 1) = kstock_tprime(it)
				assets_t(it + 1) = assets_tprime(it)
			endif
			phe0 = ph_t(it)
!			write(*, '(a9, i4, a7, i2, a7, f8.5, a6, f7.4, a8, f6.3)'), '     t = ' ,it, ', iz = ' ,locz_t(it), ', ph = ' ,ph_t(it), ', K = ' ,kstock_t(it), ', own = ' ,ownrate_t(it)
		enddo
	endif
	ph_t            = timeseries(:,1)
	qb_t            = timeseries(:,2)
	yh_t            = timeseries(:,3)
	yc_t            = timeseries(:,4)
	gdp_t           = timeseries(:,5)
	invest_h_t      = timeseries(:,6)
	invest_k_t      = timeseries(:,7)
	cons_t          = timeseries(:,8)
	hcons_t         = timeseries(:,9)
	kstock_t        = timeseries(:,10)
	hownstock_t     = timeseries(:,11)
	networth_t      = timeseries(:,12)
	assets_t        = timeseries(:,13)
	hwealth_t       = timeseries(:,14)
	mortdebt_t      = timeseries(:,15)
	ownrate_t       = timeseries(:,16)
	turnover_t      = timeseries(:,17)
	tradevol_t      = timeseries(:,18)
	existsales_t    = timeseries(:,19)
	reosales_t      = timeseries(:,20)
	reosaleshare_t  = timeseries(:,21)
	newsaleshare_t  = timeseries(:,22)
	salesrate_t     = timeseries(:,23)
	inventories_t   = timeseries(:,24)
	months_supply_t = timeseries(:,25)
	frate_t         = timeseries(:,26)
	mean_TOMbuy_t   = timeseries(:,27)
	mean_TOMsell_t  = timeseries(:,28)
	defaultprem_t   = timeseries(:,29)
	defaultprem_ltv80_t = timeseries(:,30)
	defaultprem_ltv90_t = timeseries(:,31)
	defaultprem_ltv95_t = timeseries(:,32)
	num_orig_ltv80_t    = timeseries(:,33)
	num_orig_ltv90_t    = timeseries(:,34)
	num_orig_ltv95_t    = timeseries(:,35)
	
	!!!Welfare analysis of recourse policy
	welfare_change_all_t     = timeseries(:,36)
	welfare_change_renters_t = timeseries(:,37)
	welfare_change_lowltv_t	 = timeseries(:,38)
	welfare_change_ltv80_t	 = timeseries(:,39)
	welfare_change_ltv90_t	 = timeseries(:,40)
	welfare_change_ltv95_t	 = timeseries(:,41)
	
	!!!Buyer wealth quintiles
	buyerwealth_q1_t = timeseries(:,42)
	buyerwealth_q2_t = timeseries(:,43)
	buyerwealth_q3_t = timeseries(:,44)
	buyerwealth_q4_t = timeseries(:,45)
	buyerwealth_q5_t = timeseries(:,46)
	
	!Generate business cycle statistics
!	timeseries_mod(:,:) = log(timeseries(T_ignore + 1:T,:))
!	refvar = 5
!	ph_id  = 1
!	yc_id  = 4
!	allocate(autocorrmat(nseries,2*nlagcorr + 1))
!	allocate(crosscorrmat(nseries,2*nlagcorr + 1))
!	allocate(phregress(2 + nlagreg,2))
!	call sub_buscyc_stats(timeseries_mod,T - T_ignore,nseries,refvar,nlagcorr,sdvec,corrmat,autocorrmat,crosscorrmat,ph_id,yc_id,nlagreg,phregress,Rsquared)
	
	!Print files
	!Business cycle statistics-- 28 = nseries, 9 = 2*nlagcorr + 1
!	open(unit=11,	file='Time series\sdvec.txt', status = 'replace')
!	write(11, '(1f15.10)') (sdvec(index), index = 1, nseries)
!	close(11)
!	open(unit=11,	file='Time series\corrmat.txt', status = 'replace')
!	write(11, '(28f15.10)') (corrmat(index,:), index = 1, nseries)
!	close(11)
!	open(unit=11,	file='Time series\autocorrmat.txt', status = 'replace')
!	write(11, '(9f15.10)') (autocorrmat(index,:), index = 1, nseries)
!	close(11)
!	open(unit=11,	file='Time series\crosscorrmat.txt', status = 'replace')
!	write(11, '(9f15.10)') (crosscorrmat(index,:), index = 1, nseries)
!	close(11)
!	open(unit=11,	file='Time series\phregress.txt', status = 'replace')
!	write(11, '(a18, a18)'), '   Coefficients   ', 'Standard errors   '
!	write(11, '(2f15.10)') (phregress(index,:), index = 1, 2 + nlagreg)
!	write (11, '(a1)'), ' '
!	write(11, '(a11, f15.10)'), ('Rsquared = ' ,Rsquared)
!	close(11)
	!Time series
	open(unit=11,	file='Time series\timeseries.txt', status = 'replace')
	write(11, '(41f15.10)'), timeseries
	close(11)
	open(unit=11,	file='Time series\z_t.txt', status = 'replace')
	write(11, '(i2)'), locz_t
	close(11)
	open(unit=11,	file='Time series\ph_t.txt', status = 'replace')
	write(11, '(f15.10)'), ph_t
	close(11)
	open(unit=11,	file='Time series\yh_t.txt', status = 'replace')
	write(11, '(f15.10)'), yh_t
	close(11)
	open(unit=11,	file='Time series\yc_t.txt', status = 'replace')
	write(11, '(f15.10)'), yc_t
	close(11)
	open(unit=11,	file='Time series\gdp_t.txt', status = 'replace')
	write(11, '(f15.10)'), gdp_t
	close(11)
	open(unit=11,	file='Time series\invest_h_t.txt', status = 'replace')
	write(11, '(f15.10)'), invest_h_t
	close(11)
	open(unit=11,	file='Time series\invest_k_t.txt', status = 'replace')
	write(11, '(f15.10)'), invest_k_t
	close(11)
	open(unit=11,	file='Time series\cons_t.txt', status = 'replace')
	write(11, '(f15.10)'), cons_t
	close(11)
	open(unit=11,	file='Time series\hcons_t.txt', status = 'replace')
	write(11, '(f15.10)'), hcons_t
	close(11)
	open(unit=11,	file='Time series\kstock_t.txt', status = 'replace')
	write(11, '(f15.10)'), kstock_t
	close(11)
    open(unit=11,	file='Time series\hownstock_t.txt', status = 'replace')
	write(11, '(f15.10)'), hownstock_t
	close(11)
	open(unit=11,	file='Time series\networth_t.txt', status = 'replace')
	write(11, '(f15.10)'), networth_t
	close(11)
	open(unit=11,	file='Time series\assets_t.txt', status = 'replace')
	write(11, '(f15.10)'), assets_t
	close(11)
	open(unit=11,	file='Time series\hwealth_t.txt', status = 'replace')
	write(11, '(f15.10)'), hwealth_t
	close(11)
	open(unit=11,	file='Time series\mortdebt_t.txt', status = 'replace')
	write(11, '(f15.10)'), mortdebt_t
	close(11)
	open(unit=11,	file='Time series\ownrate_t.txt', status = 'replace')
	write(11, '(f15.10)'), ownrate_t
	close(11)	
	open(unit=11,	file='Time series\turnover_t.txt', status = 'replace')
	write(11, '(f15.10)'), turnover_t
	close(11)
	open(unit=11,	file='Time series\tradevol_t.txt', status = 'replace')
	write(11, '(f15.10)'), tradevol_t
	close(11)
	open(unit=11,	file='Time series\existsales_t.txt', status = 'replace')
	write(11, '(f15.10)'), existsales_t
	close(11)
	open(unit=11,	file='Time series\reosales_t.txt', status = 'replace')
	write(11, '(f15.10)'), reosales_t
	close(11)
	open(unit=11,	file='Time series\reosaleshare_t.txt', status = 'replace')
	write(11, '(f15.10)'), reosaleshare_t
	close(11)
	open(unit=11,	file='Time series\newsaleshare_t.txt', status = 'replace')
	write(11, '(f15.10)'), newsaleshare_t
	close(11)
	open(unit=11,	file='Time series\salesrate_t.txt', status = 'replace')
	write(11, '(f15.10)'), salesrate_t
	close(11)
	open(unit=11,	file='Time series\inventories_t.txt', status = 'replace')
	write(11, '(f15.10)'), inventories_t
	close(11)
	open(unit=11,	file='Time series\months_supply_t.txt', status = 'replace')
	write(11, '(f15.10)'), months_supply_t
	close(11)
	open(unit=11,	file='Time series\frate_t.txt', status = 'replace')
	write(11, '(f15.10)'), frate_t
	close(11)
	open(unit=11,	file='Time series\mean_TOMbuy_t.txt', status = 'replace')
	write(11, '(f15.10)'), mean_TOMbuy_t
	close(11)
	open(unit=11,	file='Time series\mean_TOMsell_t.txt', status = 'replace')
	write(11, '(f15.10)'), mean_TOMsell_t
	close(11)
	open(unit=11,	file='Time series\defaultprem_t.txt', status = 'replace')
	write(11, '(f15.10)'), defaultprem_t
	close(11)
	open(unit=11,	file='Time series\defaultprem_ltv80_t.txt', status = 'replace')
	write(11, '(f15.10)'), defaultprem_ltv80_t
	close(11)
	open(unit=11,	file='Time series\defaultprem_ltv90_t.txt', status = 'replace')
	write(11, '(f15.10)'), defaultprem_ltv90_t
	close(11)
	open(unit=11,	file='Time series\defaultprem_ltv95_t.txt', status = 'replace')
	write(11, '(f15.10)'), defaultprem_ltv95_t
	close(11)
	open(unit=11,	file='Time series\num_orig_ltv80_t.txt', status = 'replace')
	write(11, '(f15.10)'), num_orig_ltv80_t
	close(11)
	open(unit=11,	file='Time series\num_orig_ltv90_t.txt', status = 'replace')
	write(11, '(f15.10)'), num_orig_ltv90_t
	close(11)
	open(unit=11,	file='Time series\num_orig_ltv95_t.txt', status = 'replace')
	write(11, '(f15.10)'), num_orig_ltv95_t
	close(11)
	open(unit=11,	file='Time series\pa.txt', status = 'replace')
	write (11, '(f15.10)') pa
	close(11)
	open(unit=11,	file='Time series\T.txt', status = 'replace')
	write (11, '(i5)') T
	close(11)
	open(unit=11,	file='Time series\T_ignore.txt', status = 'replace')
	write (11, '(i5)') T_ignore
	close(11)
	open(unit=11,	file='Time series\nseries.txt', status = 'replace')
	write (11, '(i5)') nseries
	close(11)
	
	!!!Welfare analysis of recourse policy
	open(unit=11,	file='Time series\welfare_change_all_t.txt', status = 'replace')
	write(11, '(f15.10)'), welfare_change_all_t
	close(11)
	open(unit=11,	file='Time series\welfare_change_renters_t.txt', status = 'replace')
	write(11, '(f15.10)'), welfare_change_renters_t
	close(11)
	open(unit=11,	file='Time series\welfare_change_lowltv_t.txt', status = 'replace')
	write(11, '(f15.10)'), welfare_change_lowltv_t
	close(11)
	open(unit=11,	file='Time series\welfare_change_ltv80_t.txt', status = 'replace')
	write(11, '(f15.10)'), welfare_change_ltv80_t
	close(11)
	open(unit=11,	file='Time series\welfare_change_ltv90_t.txt', status = 'replace')
	write(11, '(f15.10)'), welfare_change_ltv90_t
	close(11)
	open(unit=11,	file='Time series\welfare_change_ltv95_t.txt', status = 'replace')
	write(11, '(f15.10)'), welfare_change_ltv95_t
	close(11)
	
	!!!Buyer wealth quintiles
	open(unit=11,	file='Time series\buyerwealth_q1_t.txt', status = 'replace')
	write(11, '(f15.10)'), buyerwealth_q1_t
	close(11)
	open(unit=11,	file='Time series\buyerwealth_q2_t.txt', status = 'replace')
	write(11, '(f15.10)'), buyerwealth_q2_t
	close(11)
	open(unit=11,	file='Time series\buyerwealth_q3_t.txt', status = 'replace')
	write(11, '(f15.10)'), buyerwealth_q3_t
	close(11)
	open(unit=11,	file='Time series\buyerwealth_q4_t.txt', status = 'replace')
	write(11, '(f15.10)'), buyerwealth_q4_t
	close(11)
	open(unit=11,	file='Time series\buyerwealth_q5_t.txt', status = 'replace')
	write(11, '(f15.10)'), buyerwealth_q5_t
	close(11)

end subroutine sub_aggresults