subroutine ergodist(ns,stran,sdist)
	
	implicit none
	
	integer, intent(in) :: ns
	real(8), intent(in), dimension(ns,ns) :: stran
	real(8), intent(out), dimension(ns) :: sdist
	real(8), dimension(ns) :: sdist0,sdist1
	integer :: s0,s1,iter0,maxiter
	real(8) :: eps,error0

	!******* set parameters *******
	eps = 1.0e-10
	maxiter = 1000000

	!******* find ergodic distribution *******
	sdist0(1:ns) = 1.0_8/real(ns,8)
	do iter0 = 1,maxiter
		sdist1(:) = 0.0_8
		do s0 = 1,ns
			do s1 = 1,ns
				sdist1(s1) = sdist1(s1) + sdist0(s0)*stran(s0,s1)
			end do
		end do
		error0 = maxval(abs(sdist0(:) - sdist1(:)))
		if (error0 < eps) exit
		sdist0 = sdist1
	end do
	
	!******* set the output and return *******
	sdist(:) = sdist1(:)

	!******* end of subroutine *******
	return

end subroutine ergodist