subroutine sub_output_sh(kstock,ltot,p_h,z_c,z_h,y_c,y_h)

	use mod_globvar

	implicit none

	!This program computes factor prices and output when structures are an intermediate good
	
	real(8), intent(in) :: kstock, ltot, p_h, z_c, z_h
	real(8), intent(out) :: y_c, y_h
	
	!Other internal variables
	real(8) :: A, B, n_c, feval, fderiv, n_c1, kn_c, s_h, n_h, wage, rent
	integer :: iter
	
	!*** Use Newton's method to compute labor in the consumption good sector***!
	A   = ((1 - lshare)*kshare_h*p_h*z_h*(kshare_h/(1 - kshare_h)*(1 - kshare_c)*z_c)**(kshare_h*(1 - lshare) - 1))**(1/lshare)
	B   = kshare_c*(kshare_h*(1 - lshare) - 1)/lshare
	n_c = 0.05*ltot
	do iter = 1, 1000
		feval = ltot - A*kstock**B*n_c**(-B) - n_c
		if (abs(feval) < 1e-8) then
			exit
		endif
		fderiv = A*B*kstock**B*n_c**(-B - 1) - 1
        n_c1   = max(1e-6,n_c - feval/fderiv)
        n_c    = n_c1
    enddo
	
	!Finish computing sectoral allocation of capital and labor
	n_h  = ltot - n_c
	kn_c = kstock/n_c
	s_h  = kshare_h/(1 - kshare_h)*(1 - kshare_c)*z_c*A*kn_c**(B + kshare_c)
	
	!Compute factor prices
	wage = (1 - kshare_c)*z_c*kn_c**kshare_c
	rent = kshare_c*z_c*kn_c**(kshare_c - 1)
	
	!Compute output
	y_c = z_c*kn_c**kshare_c*n_c
	y_h = z_h*(s_h**kshare_h*n_h**(1 - kshare_h))**(1 - lshare)

end subroutine sub_output_sh