subroutine sub_print_final

	use mod_globvar
	use mod_interpolate

	implicit none

	!Indices
	integer :: iz, iagg, is, ig, ih, im, iy, imprime, ibprime, imsubperiod3
	real(8), dimension(ny,ng,ns,nz,nagg) :: yygrid
	
	!Other internval variables
	integer :: iylow, iyupp
	real(8) :: ysubperiod3, yweight
	
	!Make sure value and policy functions are consistent with timing conventions in the paper
	real(8), dimension(:,:,:,:,:,:), allocatable :: Vown_f0_final, m_f0_final, bown_f0_final, cown_f0_final, hcown_f0_final
	allocate(Vown_f0_final(ny,nm,ng,ns,nz,nagg))
	allocate(m_f0_final(ny,nm,ng,ns,nz,nagg))
	allocate(bown_f0_final(ny,nm,ng,ns,nz,nagg))
	allocate(cown_f0_final(ny,nm,ng,ns,nz,nagg))
	allocate(hcown_f0_final(ny,nm,ng,ns,nz,nagg))
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					ih = hfun(ig)
					!Homeowners without a mortgage
					m_f0_final(:,1,ig,is,iz,iagg)     = m_f0(:,1,ig,is,iz,iagg)
					bown_f0_final(:,1,ig,is,iz,iagg)  = bown_f0(:,1,ig,is,iz,iagg)
					cown_f0_final(:,1,ig,is,iz,iagg)  = cown_f0(:,1,ig,is,iz,iagg)
					hcown_f0_final(:,1,ig,is,iz,iagg) = hcown_f0(:,1,ig,is,iz,iagg)
					Vown_f0_final(:,1,ig,is,iz,iagg)  = Vown_f0(:,1,ig,is,iz,iagg)
					!Homeowners with a mortgage
					do im = 2, nm
						do iy = ny_neg + 1, ny
						    imsubperiod3 = locm_f0(iy,im,ig,is,iz,iagg)
						    ysubperiod3  = yy(iy) - (mm(im) - qm(iz,iagg)*mm(imsubperiod3))*hh(ih)
						    if (ysubperiod3 < 0.d0 .AND. imsubperiod3 == 1) then
						        ysubperiod3 = ysubperiod3/abs(ylb(ig,is,iz,iagg))
						    endif
						    iylow   = ly(ysubperiod3)
						    iyupp   = ly(ysubperiod3)
						    yweight = ly(ysubperiod3)
						    !Define value and policy functions
						    if (imsubperiod3 == 1) then
						        m_f0_final(iy,im,ig,is,iz,iagg) = (1 - yweight)*m_f0(iylow,1,ig,is,iz,iagg) + yweight*m_f0(iyupp,1,ig,is,iz,iagg)
						    else
						        m_f0_final(iy,im,ig,is,iz,iagg) = m_f0(iy,im,ig,is,iz,iagg)
						    endif
						    bown_f0_final(iy,im,ig,is,iz,iagg)  = (1 - yweight)*bown_f0(iylow,imsubperiod3,ig,is,iz,iagg)&
						    + yweight*bown_f0(iyupp,imsubperiod3,ig,is,iz,iagg)
						    cown_f0_final(iy,im,ig,is,iz,iagg)  = (1 - yweight)*cown_f0(iylow,imsubperiod3,ig,is,iz,iagg)&
						    + yweight*cown_f0(iyupp,imsubperiod3,ig,is,iz,iagg)
						    hcown_f0_final(iy,im,ig,is,iz,iagg) = (1 - yweight)*hcown_f0(iylow,imsubperiod3,ig,is,iz,iagg)&
						    + yweight*hcown_f0(iyupp,imsubperiod3,ig,is,iz,iagg)
						    Vown_f0_final(iy,im,ig,is,iz,iagg)  = (1 - yweight)*Vown_f0(iylow,imsubperiod3,ig,is,iz,iagg)&
						    + yweight*Vown_f0(iyupp,imsubperiod3,ig,is,iz,iagg)
						enddo
					enddo
				enddo
			enddo
		enddo
	enddo
	
	!Print files
	
	!Grids
	
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do iy = 1, ny_neg
						yygrid(iy,ig,is,iz,iagg) = yy(iy)*abs(ylb(ig,is,iz,iagg))
					enddo
					do iy = ny_neg + 1, ny
						yygrid(iy,ig,is,iz,iagg) = yy(iy)
					enddo
				enddo
			enddo
		enddo
	enddo
	
	open(unit=11,	file='Output\Final\yy.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do iy = 1, ny
						write (11, '(1f20.10)') yygrid(iy,ig,is,iz,iagg)
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\bb.txt', status = 'replace')
	write (11, '(1f20.10)') bb
	close(11)
	
	open(unit=11,	file='Output\Final\mm.txt', status = 'replace')
	write (11, '(1f20.10)') mm
	close(11)
	
	open(unit=11,	file='Output\Final\hh.txt', status = 'replace')
	write (11, '(1f20.10)') hh
	close(11)
	
	open(unit=11,	file='Output\Final\xx.txt', status = 'replace')
	write (11, '(1f20.10)') xx
	close(11)
	
	open(unit=11,	file='Output\Final\ph.txt', status = 'replace')
	write (11, '(1f20.10)') ph
	close(11)
	
	!Mortgage prices
	
	open(unit=11,	file='Output\Final\qm0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do ibprime = 1, nb
						do imprime = 1, nm
							write (11, '(1f12.8)') qm0(imprime,ibprime,ig,is,iz,iagg)
						enddo
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	!Value and policy functions with state variables (y,m,g,s)
	
	open(unit=11,	file='Output\Final\Vown_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do im = 1, nm
						do iy = 1, ny
							write (11, '(1f20.8)') Vown_f0_final(iy,im,ig,is,iz,iagg)
						enddo
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\m_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do im = 1, nm
						do iy = 1, ny
							write (11, '(1f20.8)') m_f0_final(iy,im,ig,is,iz,iagg)
						enddo
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\bown_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do im = 1, nm
						do iy = 1, ny
							write (11, '(1f20.8)') bown_f0_final(iy,im,ig,is,iz,iagg)
						enddo
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\cown_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do im = 1, nm
						do iy = 1, ny
							write (11, '(1f20.8)') cown_f0_final(iy,im,ig,is,iz,iagg)
						enddo
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\hcown_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do im = 1, nm
						do iy = 1, ny
							write (11, '(1f20.8)') hcown_f0_final(iy,im,ig,is,iz,iagg)
						enddo
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\Wown_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do im = 1, nm
						do iy = 1, ny
							write (11, '(1f20.8)') Wown_f0(iy,im,ig,is,iz,iagg)
						enddo
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\d_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do im = 1, nm
						do iy = 1, ny
							write (11, '(1f20.8)') d_f0(iy,im,ig,is,iz,iagg)
						enddo
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\xs_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do im = 1, nm
						do iy = 1, ny
							write (11, '(1f20.8)') xs_f0(iy,im,ig,is,iz,iagg)
						enddo
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\xsratio_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do im = 1, nm
						do iy = 1, ny
							write (11, '(1f20.8)') xsratio_f0(iy,im,ig,is,iz,iagg)
						enddo
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\psell_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do im = 1, nm
						do iy = 1, ny
							write (11, '(1f20.8)') psell_f0(iy,im,ig,is,iz,iagg)
						enddo
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\mu1own_f0.txt', status = 'replace')
	do is = 1, ns
		do ig = 1, ng
			do im = 1, nm
				do iy = 1, ny
					write (11, '(1f20.8)') mu1own_f0(iy,im,ig,is)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\mu3own_f0.txt', status = 'replace')
	do is = 1, ns
		do ig = 1, ng
			do im = 1, nm
				do iy = 1, ny
					write (11, '(1f20.8)') mu3own_f0(iy,im,ig,is)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	!Value and policy functions with state variables (y,g,s)
	
	open(unit=11,	file='Output\Final\Vown_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do iy = 1, ny
						write (11, '(1f20.8)') Vown_f1(iy,ig,is,iz,iagg)
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\bown_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do iy = 1, ny
						write (11, '(1f20.8)') bown_f1(iy,ig,is,iz,iagg)
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\cown_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do iy = 1, ny
						write (11, '(1f20.8)') cown_f1(iy,ig,is,iz,iagg)
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\hcown_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do iy = 1, ny
						write (11, '(1f20.8)') hcown_f1(iy,ig,is,iz,iagg)
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\Wown_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do iy = 1, ny
						write (11, '(1f20.8)') Wown_f1(iy,ig,is,iz,iagg)
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\xs_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do iy = 1, ny
						write (11, '(1f20.8)') xs_f1(iy,ig,is,iz,iagg)
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\xsratio_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do iy = 1, ny
						write (11, '(1f20.8)') xsratio_f1(iy,ig,is,iz,iagg)
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\psell_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					do iy = 1, ny
						write (11, '(1f20.8)') psell_f1(iy,ig,is,iz,iagg)
					enddo
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\mu1own_f1.txt', status = 'replace')
	do is = 1, ns
		do ig = 1, ng
			do iy = 1, ny
				write (11, '(1f20.8)') mu1own_f1(iy,ig,is)
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\mu3own_f1.txt', status = 'replace')
	do is = 1, ns
		do ig = 1, ng
			do iy = 1, ny
				write (11, '(1f20.8)') mu3own_f1(iy,ig,is)
			enddo
		enddo
	enddo
	close(11)
	
	!Value and policy functions with state variables (y,s)
	
	open(unit=11,	file='Output\Final\Vrent_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do iy = 1, ny
					write (11, '(1f20.8)') Vrent_f0(iy,is,iz,iagg)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\brent_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do iy = 1, ny
					write (11, '(1f20.8)') brent_f0(iy,is,iz,iagg)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\crent_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do iy = 1, ny
					write (11, '(1f20.8)') crent_f0(iy,is,iz,iagg)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\hcrent_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do iy = 1, ny
					write (11, '(1f20.8)') hcrent_f0(iy,is,iz,iagg)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\Wrent_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do iy = 1, ny
					write (11, '(1f20.8)') Wrent_f0(iy,is,iz,iagg)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\h_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do iy = 1, ny
					write (11, '(1f20.8)') h_f0(iy,is,iz,iagg)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\xb_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do iy = 1, ny
					write (11, '(1f20.8)') xb_f0(iy,is,iz,iagg)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\xbratio_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do iy = 1, ny
					write (11, '(1f20.8)') xbratio_f0(iy,is,iz,iagg)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\pbuy_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do iy = 1, ny
					write (11, '(1f20.8)') pbuy_f0(iy,is,iz,iagg)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\mu1rent_f0.txt', status = 'replace')
	do is = 1, ns
		do iy = 1, ny
			write (11, '(1f20.8)') mu1rent_f0(iy,is)
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\mu3rent_f0.txt', status = 'replace')
	do is = 1, ns
		do iy = 1, ny
			write (11, '(1f20.8)') mu3rent_f0(iy,is)
		enddo
	enddo
	close(11)
		
	open(unit=11,	file='Output\Final\Vrent_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do iy = 1, ny
					write (11, '(1f20.8)') Vrent_f1(iy,is,iz,iagg)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\brent_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do iy = 1, ny
					write (11, '(1f20.8)') brent_f1(iy,is,iz,iagg)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\crent_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do iy = 1, ny
					write (11, '(1f20.8)') crent_f1(iy,is,iz,iagg)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\hcrent_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do iy = 1, ny
					write (11, '(1f20.8)') hcrent_f1(iy,is,iz,iagg)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\Wrent_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do iy = 1, ny
					write (11, '(1f20.8)') Wrent_f1(iy,is,iz,iagg)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\h_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do iy = 1, ny
					write (11, '(1f20.8)') h_f1(iy,is,iz,iagg)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\xb_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do iy = 1, ny
					write (11, '(1f20.8)') xb_f1(iy,is,iz,iagg)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\xbratio_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do iy = 1, ny
					write (11, '(1f20.8)') xbratio_f1(iy,is,iz,iagg)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\pbuy_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do iy = 1, ny
					write (11, '(1f20.8)') pbuy_f1(iy,is,iz,iagg)
				enddo
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\mu1rent_f1.txt', status = 'replace')
	do is = 1, ns
		do iy = 1, ny
			write (11, '(1f20.8)') mu1rent_f1(iy,is)
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Output\Final\mu3rent_f1.txt', status = 'replace')
	do is = 1, ns
		do iy = 1, ny
			write (11, '(1f20.8)') mu3rent_f1(iy,is)
		enddo
	enddo
	close(11)
	
end subroutine sub_print_final