subroutine sub_valfn_reo

	use mod_globvar
	use mod_interpolate

	implicit none

	!This program computes value function iteration - MAXIMUM APARTMENT SIZE

	!Indices
	integer :: iter_j, ih, iz, iagg, ix
	
	!Indices for tomorrow's state
	integer :: izprime
	
	!Continuation utilities
	real(8), dimension(nz) :: Jcont_z

	!Updated value function
	real(8), dimension(nh,nz,nagg) :: Jnew
		
	!Other internal variables
	real(8) :: err_j, Jnosell, R_maxsofar, ysell, rval
	integer :: x_maxsofar
	
!	print *, ' '
!	print *, 'Compute optimal REO selling behavior'
!	print *, ' '
	do iter_j = 1, 1000
		do iagg = 1, nagg
			do iz = 1, nz
				do ih = 1, nh
					!Continuation utilities
					do izprime = 1, nz
						Jcont_z(izprime) = dot_product(waggprime(iz,iagg,izprime,:),Jreo(ih,izprime,iaggprime(iz,iagg,izprime,:)))
					enddo
					!Jnosell = -maint*hh(ih) + (1 - deprec_h)/(1 + rb(iz,iagg))*dot_product(Jcont_z,prob_zz(iz,:))
					Jnosell = (1 - deprec_h)/(1 + rb(iz,iagg))*dot_product(Jcont_z,prob_zz(iz,:))
					!Option value of selling
					R_maxsofar = -1e8
					x_maxsofar = 1
					do ix = 1, nx
						ysell = xsell(ix,ih,iagg)*(1 - fdiscount)*(1 - sellcost)
						rval  = psearch*prob_xs(ix)*(ysell - Jnosell)
						if (rval > R_maxsofar) then
							R_maxsofar = rval
							x_maxsofar = ix
						endif
					enddo
					if (R_maxsofar > 0.d0) then
						Jnew(ih,iz,iagg)      = Jnosell + R_maxsofar
						psell_reo(ih,iz,iagg) = psearch*prob_xs(x_maxsofar)
						xs_reo(ih,iz,iagg)    = xsell(x_maxsofar,ih,iagg)*(1 - fdiscount)
					else
						Jnew(ih,iz,iagg)      = Jnosell
						psell_reo(ih,iz,iagg) = 0.d0
						xs_reo(ih,iz,iagg)    = xsell(nx,ih,iagg)*(1 - fdiscount)
					endif
				enddo
			enddo
		enddo
		err_j = maxval(abs(Jnew - Jreo))
		Jreo = Jnew
		if (err_j < 1e-8) then
			exit
		endif
!		write(*, '(a22, i4, a12, f11.6)'), '          Iteration = ',iter_j, ', err = ',err_j
	enddo

end subroutine sub_valfn_reo