%Load output from stationary model
%Grids
load Output\yy.txt
load Output\bb.txt
load Output\mm.txt
load Output\hh.txt
load Output\xx.txt
%Mortgage prices
load Output\qm0.txt
%Policy and value functions
%Subperiod 3
load Output\Vown_f0.txt
load Output\m_f0.txt
load Output\bown_f0.txt
load Output\cown_f0.txt
load Output\hcown_f0.txt
load Output\Vown_f1.txt
load Output\bown_f1.txt
load Output\cown_f1.txt
load Output\hcown_f1.txt
load Output\Vrent_f0.txt
load Output\brent_f0.txt
load Output\crent_f0.txt
load Output\hcrent_f0.txt
load Output\Vrent_f1.txt
load Output\brent_f1.txt
load Output\crent_f1.txt
load Output\hcrent_f1.txt
%Subperiod 2
load Output\Wrent_f0.txt
load Output\h_f0.txt
load Output\xb_f0.txt
load Output\xbratio_f0.txt
load Output\pbuy_f0.txt
load Output\Wrent_f1.txt
load Output\h_f1.txt
load Output\xb_f1.txt
load Output\xbratio_f1.txt
load Output\pbuy_f1.txt
%Subperiod 1
load Output\Wown_f0.txt
load Output\d_f0.txt
load Output\xs_f0.txt
load Output\xsratio_f0.txt
load Output\psell_f0.txt
load Output\Wown_f1.txt
load Output\xs_f1.txt
load Output\xsratio_f1.txt
load Output\psell_f1.txt
%Distributions
load Output\mu1own_f0.txt
load Output\mu1own_f1.txt
load Output\mu1rent_f0.txt
load Output\mu1rent_f1.txt
%Prices (rate of return on capital; shadow price of housing)
load Output\prices.txt
rf = prices(1);
ph = prices(2);

%Set grid lengths
ny = 275;
ns = 3;
nb = length(bb);
nm = length(mm);
nh = length(hh);
ng = nh;
nx = length(xx);

%Reshape
yy = reshape(yy,ny,ng,ns);
%State variables (y,m,g,s)
qm0        = reshape(qm0,nm,nb,ng,ns);
mu1own_f0  = reshape(mu1own_f0,ny,nm,ng,ns);
Vown_f0    = reshape(Vown_f0,ny,nm,ng,ns);
m_f0       = reshape(m_f0,ny,nm,ng,ns);
bown_f0    = reshape(bown_f0,ny,nm,ng,ns);
cown_f0    = reshape(cown_f0,ny,nm,ng,ns);
hcown_f0   = reshape(hcown_f0,ny,nm,ng,ns);
d_f0       = reshape(d_f0,ny,nm,ng,ns);
Wown_f0    = reshape(Wown_f0,ny,nm,ng,ns);
xs_f0      = reshape(xs_f0,ny,nm,ng,ns);
xsratio_f0 = reshape(xsratio_f0,ny,nm,ng,ns);
psell_f0   = reshape(psell_f0,ny,nm,ng,ns);
%State variables (y,g,s)
mu1own_f1  = reshape(mu1own_f1,ny,ng,ns);
Vown_f1    = reshape(Vown_f1,ny,ng,ns);
bown_f1    = reshape(bown_f1,ny,ng,ns);
cown_f1    = reshape(cown_f1,ny,ng,ns);
hcown_f1   = reshape(hcown_f1,ny,ng,ns);
Wown_f1    = reshape(Wown_f1,ny,ng,ns);
xs_f1      = reshape(xs_f1,ny,ng,ns);
xsratio_f1 = reshape(xsratio_f1,ny,ng,ns);
psell_f1   = reshape(psell_f1,ny,ng,ns);
%State variables (y,s)
mu1rent_f0 = reshape(mu1rent_f0,ny,ns);
mu1rent_f1 = reshape(mu1rent_f1,ny,ns);
Vrent_f0   = reshape(Vrent_f0,ny,ns);
brent_f0   = reshape(brent_f0,ny,ns);
crent_f0   = reshape(crent_f0,ny,ns);
hcrent_f0  = reshape(hcrent_f0,ny,ns);
Vrent_f1   = reshape(Vrent_f1,ny,ns);
brent_f1   = reshape(brent_f1,ny,ns);
crent_f1   = reshape(crent_f1,ny,ns);
hcrent_f1  = reshape(hcrent_f1,ny,ns);
Wrent_f0   = reshape(Wrent_f0,ny,ns);
xb_f0      = reshape(xb_f0,ny,ns);
h_f0       = reshape(h_f0,ny,ns);
xbratio_f0 = reshape(xbratio_f0,ny,ns);
pbuy_f0    = reshape(pbuy_f0,ny,ns);
Wrent_f1   = reshape(Wrent_f1,ny,ns);
h_f1       = reshape(h_f1,ny,ns);
xb_f1      = reshape(xb_f1,ny,ns);
xbratio_f1 = reshape(xbratio_f1,ny,ns);
pbuy_f1    = reshape(pbuy_f1,ny,ns);

%%%Modified selling decisions (conditional on entering selling market) ***
load Output\xsratio_f0_modified.txt
load Output\psell_f0_modified.txt
xsratio_f0_modified = reshape(xsratio_f0_modified,ny,nm,ng,ns);
psell_f0_modified   = reshape(psell_f0_modified,ny,nm,ng,ns);

%Search durations
buydur_f0 = min(100,12*((1 - pbuy_f0)./pbuy_f0 + 0.5));
for iy=1:ny
    for is=1:ns
        if (buydur_f0(iy,is) == 100)
        buydur_f0(iy,is)=0;
        end
    end
end
selldur_f0 = min(100,12*((1 - psell_f0)./psell_f0 + 0.5));
for iy=1:ny
    for im=1:nm
        for ig=1:ng
            for is=1:ns
                if (selldur_f0(iy,im,ig,is) == 100)
                    selldur_f0(iy,im,ig,is)=0;
                end
            end
        end
    end
end
selldur_f0_modified = min(100,12*((1 - psell_f0_modified)./psell_f0_modified + 0.5));
for iy=1:ny
    for im=1:nm
        for ig=1:ng
            for is=1:ns
                if (selldur_f0_modified(iy,im,ig,is) == 100)
                    selldur_f0_modified(iy,im,ig,is)=0;
                end
            end
        end
    end
end

%Default premia
load Output\qm0_nosearch.txt
qm0_nosearch        = reshape(qm0_nosearch,nm,nb,ng,ns);
qm0_premia          = 100*(max(max(max(max(qm0))))./qm0 - 1);
qm0_premia_nosearch = 100*(max(max(max(max(qm0_nosearch))))./qm0_nosearch - 1);