%Load output from stationary model
%Grids
load Output\Baseline\yy.txt
load Output\Baseline\bb.txt
load Output\Baseline\mm.txt
load Output\Baseline\hh.txt
load Output\Baseline\xx.txt
load Output\Baseline\ph.txt
%Mortgage prices
load Output\Baseline\qm0.txt
%Policy and value functions
%Subperiod 3
%load Output\Baseline\Vown_f0.txt
load Output\Baseline\m_f0.txt
load Output\Baseline\bown_f0.txt
%load Output\Baseline\cown_f0.txt
%load Output\Baseline\hcown_f0.txt
%load Output\Baseline\Vown_f1.txt
%load Output\Baseline\bown_f1.txt
%load Output\Baseline\cown_f1.txt
%load Output\Baseline\hcown_f1.txt
%load Output\Baseline\Vrent_f0.txt
%load Output\Baseline\brent_f0.txt
%load Output\Baseline\crent_f0.txt
%load Output\Baseline\hcrent_f0.txt
%load Output\Baseline\Vrent_f1.txt
%load Output\Baseline\brent_f1.txt
%load Output\Baseline\crent_f1.txt
%load Output\Baseline\hcrent_f1.txt
%Subperiod 2
%load Output\Baseline\Wrent_f0.txt
load Output\Baseline\h_f0.txt
load Output\Baseline\xb_f0.txt
load Output\Baseline\xbratio_f0.txt
load Output\Baseline\pbuy_f0.txt
%load Output\Baseline\Wrent_f1.txt
%load Output\Baseline\h_f1.txt
%load Output\Baseline\xb_f1.txt
%load Output\Baseline\xbratio_f1.txt
%load Output\Baseline\pbuy_f1.txt
%Subperiod 1
%load Output\Baseline\Wown_f0.txt
load Output\Baseline\d_f0.txt
load Output\Baseline\xs_f0.txt
load Output\Baseline\xsratio_f0.txt
load Output\Baseline\psell_f0.txt
%load Output\Baseline\Wown_f1.txt
%load Output\Baseline\xs_f1.txt
%load Output\Baseline\xsratio_f1.txt
%load Output\Baseline\psell_f1.txt

%Set grid lengths
ny   = 275;
ns   = 3;
nb   = length(bb);
nm   = length(mm);
nh   = length(hh);
ng   = nh;
nx   = length(xx);
nz   = 3;
nagg = length(ph);

%Reshape
yy         = reshape(yy,ny,ng,ns,nz,nagg);
%State variables (y,m,g,s)
qm0        = reshape(qm0,nm,nb,ng,ns,nz,nagg);
%Vown_f0    = reshape(Vown_f0,ny,nm,ng,ns,nz,nagg);
m_f0       = reshape(m_f0,ny,nm,ng,ns,nz,nagg);
bown_f0    = reshape(bown_f0,ny,nm,ng,ns,nz,nagg);
%cown_f0    = reshape(cown_f0,ny,nm,ng,ns,nz,nagg);
%hcown_f0   = reshape(hcown_f0,ny,nm,ng,ns,nz,nagg);
d_f0       = reshape(d_f0,ny,nm,ng,ns,nz,nagg);
%Wown_f0    = reshape(Wown_f0,ny,nm,ng,ns,nz,nagg);
xs_f0      = reshape(xs_f0,ny,nm,ng,ns,nz,nagg);
xsratio_f0 = reshape(xsratio_f0,ny,nm,ng,ns,nz,nagg);
psell_f0   = reshape(psell_f0,ny,nm,ng,ns,nz,nagg);
%State variables (y,g,s)
%Vown_f1    = reshape(Vown_f1,ny,ng,ns,nz,nagg);
%bown_f1    = reshape(bown_f1,ny,ng,ns,nz,nagg);
%cown_f1    = reshape(cown_f1,ny,ng,ns,nz,nagg);
%hcown_f1   = reshape(hcown_f1,ny,ng,ns,nz,nagg);
%Wown_f1    = reshape(Wown_f1,ny,ng,ns,nz,nagg);
%xs_f1      = reshape(xs_f1,ny,ng,ns,nz,nagg);
%xsratio_f1 = reshape(xsratio_f1,ny,ng,ns,nz,nagg);
%psell_f1   = reshape(psell_f1,ny,ng,ns,nz,nagg);
%State variables (y,s)
%Vrent_f0   = reshape(Vrent_f0,ny,ns,nz,nagg);
%brent_f0   = reshape(brent_f0,ny,ns,nz,nagg);
%crent_f0   = reshape(crent_f0,ny,ns,nz,nagg);
%hcrent_f0  = reshape(hcrent_f0,ny,ns,nz,nagg);
%Vrent_f1   = reshape(Vrent_f1,ny,ns,nz,nagg);
%brent_f1   = reshape(brent_f1,ny,ns,nz,nagg);
%crent_f1   = reshape(crent_f1,ny,ns,nz,nagg);
%hcrent_f1  = reshape(hcrent_f1,ny,ns,nz,nagg);
%Wrent_f0   = reshape(Wrent_f0,ny,ns,nz,nagg);
xb_f0      = reshape(xb_f0,ny,ns,nz,nagg);
h_f0       = reshape(h_f0,ny,ns,nz,nagg);
xbratio_f0 = reshape(xbratio_f0,ny,ns,nz,nagg);
pbuy_f0    = reshape(pbuy_f0,ny,ns,nz,nagg);
%Wrent_f1   = reshape(Wrent_f1,ny,ns,nz,nagg);
%h_f1       = reshape(h_f1,ny,ns,nz,nagg);
%xb_f1      = reshape(xb_f1,ny,ns,nz,nagg);
%xbratio_f1 = reshape(xbratio_f1,ny,ns,nz,nagg);
%pbuy_f1    = reshape(pbuy_f1,ny,ns,nz,nagg);

%Search durations
buydur_f0 = min(100,12*((1 - pbuy_f0)./pbuy_f0 + 0.5));
for iagg = 1:nagg
    for iz = 1:nz
        for is = 1:ns
            for iy = 1:ny
                if (buydur_f0(iy,is,iz,iagg) == 100)
                    buydur_f0(iy,is,iz,iagg) = 0;
                end
            end
        end
    end
end
selldur_f0 = min(100,12*((1 - psell_f0)./psell_f0 + 0.5));
for iagg = 1:nagg
    for iz = 1:nz
        for is = 1:ns
            for ig = 1:ng
                for im = 1:nm
                    for iy = 1:ny
                        if (selldur_f0(iy,is,iz,iagg) == 100)
                            selldur_f0(iy,is,iz,iagg) = 0;
                        end
                    end
                end
            end
        end
    end
end

%Default premia
qmo_baseline = qm0;
load Output\Frictionless\qm0.txt
qm0          = reshape(qm0,nm,nb,ng,ns,nz,nagg);
qm0_nosearch = qm0;
load Output\Recourse\qm0.txt
qm0          = reshape(qm0,nm,nb,ng,ns,nz,nagg);
qm0_recourse = qm0;

for iagg = 1:nagg
    for iz = 1:nz
        defaultprem_baseline(:,:,:,:,iz,iagg) = 100*(qm0_baseline(1,1,1,1,iz,iagg)./qm0_baseline(:,:,:,:,iz,iagg) - 1);
        defaultprem_nosearch(:,:,:,:,iz,iagg) = 100*(qm0_nosearch(1,1,1,1,iz,iagg)./qm0_nosearch(:,:,:,:,iz,iagg) - 1);
        defaultprem_recourse(:,:,:,:,iz,iagg) = 100*(qm0_recourse(1,1,1,1,iz,iagg)./qm0_recourse(:,:,:,:,iz,iagg) - 1);
    end
end

%Convert mortgage debt to leverage
m_f0_baseline = m_f0;
load Output\Frictionless\m_f0.txt
m_f0          = reshape(m_f0,ny,nm,ng,ns,nz,nagg);
m_f0_nosearch = m_f0;
load Output\Recourse\m_f0.txt
m_f0          = reshape(m_f0,ny,nm,ng,ns,nz,nagg);
m_f0_recourse = m_f0;
for iagg = 1:nagg
    m_f0_baseline(:,:,:,:,:,iagg) = m_f0_baseline(:,:,:,:,:,iagg)/ph(iagg);
    m_f0_nosearch(:,:,:,:,:,iagg) = m_f0_nosearch(:,:,:,:,:,iagg)/ph(iagg);
    m_f0_recourse(:,:,:,:,:,iagg) = m_f0_recourse(:,:,:,:,:,iagg)/ph(iagg);
end