%%%Load first series

%Output, consumption, and investment
load IRF\Baseline\Boom_z13\yc_t.txt
load IRF\Baseline\Boom_z13\yh_t.txt
load IRF\Baseline\Boom_z13\gdp_t.txt
load IRF\Baseline\Boom_z13\cons_t.txt
load IRF\Baseline\Boom_z13\hcons_t.txt
load IRF\Baseline\Boom_z13\invest_k_t.txt
%House prices, sales, months supply, and foreclosures
load IRF\Baseline\Boom_z13\ph_t.txt
load IRF\Baseline\Boom_z13\existsales_t.txt
load IRF\Baseline\Boom_z13\months_supply_t.txt
load IRF\Baseline\Boom_z13\frate_t.txt
load IRF\Baseline\Boom_z13\reosales_t.txt
%Net worth, assets, housing wealth, and mortgage debt
load IRF\Baseline\Boom_z13\networth_t.txt
load IRF\Baseline\Boom_z13\assets_t.txt
load IRF\Baseline\Boom_z13\hwealth_t.txt
load IRF\Baseline\Boom_z13\mortdebt_t.txt

yc(:,1)            = yc_t;
gdp(:,1)           = gdp_t;
cons(:,1)          = cons_t;
hcons(:,1)         = hcons_t;
invest_k(:,1)      = invest_k_t;
invest_h(:,1)      = ph_t.*yh_t;
ph(:,1)            = ph_t;
existsales(:,1)    = existsales_t;
months_supply(:,1) = months_supply_t;
frate(:,1)         = frate_t;
reosales(:,1)      = reosales_t;
networth(:,1)      = networth_t;
assets(:,1)        = assets_t;
hwealth(:,1)       = hwealth_t;
mortdebt(:,1)      = mortdebt_t;

%%%Load second series

%Output, consumption, and investment
load IRF\Frictionless\Boom_z13\yc_t.txt
load IRF\Frictionless\Boom_z13\yh_t.txt
load IRF\Frictionless\Boom_z13\gdp_t.txt
load IRF\Frictionless\Boom_z13\cons_t.txt
load IRF\Frictionless\Boom_z13\hcons_t.txt
load IRF\Frictionless\Boom_z13\invest_k_t.txt
%House prices, sales, months supply, and foreclosures
load IRF\Frictionless\Boom_z13\ph_t.txt
load IRF\Frictionless\Boom_z13\existsales_t.txt
load IRF\Frictionless\Boom_z13\months_supply_t.txt
load IRF\Frictionless\Boom_z13\frate_t.txt
load IRF\Frictionless\Boom_z13\reosales_t.txt
%Net worth, assets, housing wealth, and mortgage debt
load IRF\Frictionless\Boom_z13\networth_t.txt
load IRF\Frictionless\Boom_z13\assets_t.txt
load IRF\Frictionless\Boom_z13\hwealth_t.txt
load IRF\Frictionless\Boom_z13\mortdebt_t.txt

yc(:,2)            = yc_t;
gdp(:,2)           = gdp_t;
cons(:,2)          = cons_t;
hcons(:,2)         = hcons_t;
invest_k(:,2)      = invest_k_t;
invest_h(:,2)      = ph_t.*yh_t;
ph(:,2)            = ph_t;
existsales(:,2)    = existsales_t;
months_supply(:,2) = months_supply_t;
frate(:,2)         = frate_t;
reosales(:,2)      = reosales_t;
networth(:,2)      = networth_t;
assets(:,2)        = assets_t;
hwealth(:,2)       = hwealth_t;
mortdebt(:,2)      = mortdebt_t;

%%%Load third series

%Output, consumption, and investment
load IRF\Recourse\Boom_z13\yc_t.txt
load IRF\Recourse\Boom_z13\yh_t.txt
load IRF\Recourse\Boom_z13\gdp_t.txt
load IRF\Recourse\Boom_z13\cons_t.txt
load IRF\Recourse\Boom_z13\hcons_t.txt
load IRF\Recourse\Boom_z13\invest_k_t.txt
%House prices, sales, months supply, and foreclosures
load IRF\Recourse\Boom_z13\ph_t.txt
load IRF\Recourse\Boom_z13\existsales_t.txt
load IRF\Recourse\Boom_z13\months_supply_t.txt
load IRF\Recourse\Boom_z13\frate_t.txt
load IRF\Recourse\Boom_z13\reosales_t.txt
%Net worth, assets, housing wealth, and mortgage debt
load IRF\Recourse\Boom_z13\networth_t.txt
load IRF\Recourse\Boom_z13\assets_t.txt
load IRF\Recourse\Boom_z13\hwealth_t.txt
load IRF\Recourse\Boom_z13\mortdebt_t.txt

yc(:,3)            = yc_t;
gdp(:,3)           = gdp_t;
cons(:,3)          = cons_t;
hcons(:,3)         = hcons_t;
invest_k(:,3)      = invest_k_t;
invest_h(:,3)      = ph_t.*yh_t;
ph(:,3)            = ph_t;
existsales(:,3)    = existsales_t;
months_supply(:,3) = months_supply_t;
frate(:,3)         = frate_t;
reosales(:,3)      = reosales_t;
networth(:,3)      = networth_t;
assets(:,3)        = assets_t;
hwealth(:,3)       = hwealth_t;
mortdebt(:,3)      = mortdebt_t;

%output = cons + hcons + invest_h + invest_k;
output = yc;

clear *_t;

x0 = 260;
x1 = 500;
tq = (x0:x1)'/4-(x0 + 40)/4;

load IRF\Baseline\Boom_z13\z_t.txt
if (z_t(x1) > z_t(x0))
    boom = 1;
else
    boom = 0;
end

%------------------------------------------------------------------------
%Figure 1: Y vs. C, Ch, I, Ih, Assets, and Mortgage Debt
%------------------------------------------------------------------------

figure1 = figure;
%Position
set(gcf,'position',[50 50 800 950]);

%%%Subplot 1%%%
x  = tq;
y1 = ph(x0:x1,1)/ph(x0,1);
y2 = ph(x0:x1,2)/ph(x0,2);
y3 = ph(x0:x1,3)/ph(x0,3);

if (boom == 1)
    ymin = 1;
    ymax = 1.01*max(max(max(abs(y3)),max(abs(y1))),max(abs(y2)));
else
    ymin = 0.99*min(min(min(abs(y3)),min(abs(y1))),min(abs(y2)));
    ymax = 1.01;
end

%Create subplot
subplot1 = subplot(4,2,1,'Parent',figure1,'XTick',0:10:1/0.1*floor(0.1*tq(length(tq))),'Xgrid','on');
box('on');
hold('all');
%Create multiple lines using matrix input to plot
plot1 = plot(x,y1,x,y2,x,y3,'Parent',subplot1);
set(plot1(1),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'LineWidth',3,'DisplayName','Baseline');
set(plot1(2),'Color',[0.701960784313725 0.780392156862745 1],'LineWidth',3,'DisplayName','No search');
set(plot1(3),'Color',[0.0784313725490196 0.168627450980392 0.549019607843137],'LineWidth',3,'DisplayName','Recourse','LineStyle','--');
%Create ylabel
%ylabel('House prices (normalized)');
xlabel('Time (years)');
%Axis limits
xlim([tq(1) tq(length(tq))]);
ylim([ymin ymax]);
%Create title
title('House Prices');

%%%Subplot 2%%%
x  = tq;
y1 = existsales(x0:x1,1)/existsales(x0,1);
y2 = existsales(x0:x1,2)/existsales(x0,2);
y3 = existsales(x0:x1,3)/existsales(x0,3);

if (boom == 1)
    ymin = 1;
    ymax = 1.01*max(max(max(abs(y3)),max(abs(y1))),max(abs(y2)));
else
    ymin = 0.99*min(min(min(abs(y3)),min(abs(y1))),min(abs(y2)));
    ymax = 1.01;
end

%Create subplot
subplot2 = subplot(4,2,2,'Parent',figure1,'XTick',0:10:1/0.1*floor(0.1*tq(length(tq))),'Xgrid','on');
box('on');
hold('all');
%Create multiple lines using matrix input to plot
plot2 = plot(x,y1,x,y2,x,y3,'Parent',subplot2);
set(plot2(1),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'LineWidth',3,'DisplayName','Baseline');
set(plot2(2),'Color',[0.701960784313725 0.780392156862745 1],'LineWidth',3,'DisplayName','No search');
set(plot2(3),'Color',[0.0784313725490196 0.168627450980392 0.549019607843137],'LineWidth',3,'DisplayName','Recourse','LineStyle','--');
%Create ylabel
%ylabel('Existing sales (normalized)');
xlabel('Time (years)');
%Axis limits
xlim([tq(1) tq(length(tq))]);
%ylim([ymin ymax]);
%Create title
title('Homeowner + REO Sales');

%%%Subplot 3%%%
x  = tq;
y1 = months_supply(x0:x1,1);
y2 = months_supply(x0:x1,2);
y3 = months_supply(x0:x1,3);

if (boom == 1)
    ymin = 1;
    ymax = 1.01*max(max(max(abs(y3)),max(abs(y1))),max(abs(y2)));
else
    ymin = 0.99*min(min(min(abs(y3)),min(abs(y1))),min(abs(y2)));
    ymax = 1.01;
end

%Create subplot
subplot3 = subplot(4,2,3,'Parent',figure1,'XTick',0:10:1/0.1*floor(0.1*tq(length(tq))),'Xgrid','on');
box('on');
hold('all');
%Create multiple lines using matrix input to plot
plot3 = plot(x,y1,x,y2,x,y3,'Parent',subplot3);
set(plot3(1),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'LineWidth',3,'DisplayName','Baseline');
set(plot3(2),'Color',[0.701960784313725 0.780392156862745 1],'LineWidth',3,'DisplayName','No search');
set(plot3(3),'Color',[0.0784313725490196 0.168627450980392 0.549019607843137],'LineWidth',3,'DisplayName','Recourse','LineStyle','--');
%Create ylabel
%ylabel('Months of supply');
xlabel('Time (years)');
%Axis limits
xlim([tq(1) tq(length(tq))]);
%ylim([ymin ymax]);
%Create title
title('Months of Supply');

%%%Subplot 4%%%
x  = tq;
y1 = 400*frate(x0:x1,1);
y2 = 400*frate(x0:x1,2);
y3 = 400*frate(x0:x1,3);

if (boom == 1)
    ymin = 1;
    ymax = 1.01*max(max(max(abs(y3)),max(abs(y1))),max(abs(y2)));
else
    ymin = 0.99*min(min(min(abs(y3)),min(abs(y1))),min(abs(y2)));
    ymax = 1.01;
end

% Create subplot
subplot4 = subplot(4,2,4,'Parent',figure1,'XTick',0:10:1/0.1*floor(0.1*tq(length(tq))),'Xgrid','on');
box('on');
hold('all');
% Create multiple lines using matrix input to plot
plot4 = plot(x,y1,x,y2,x,y3,'Parent',subplot4);
set(plot4(1),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'LineWidth',3,'DisplayName','Baseline');
set(plot4(2),'Color',[0.701960784313725 0.780392156862745 1],'LineWidth',3,'DisplayName','No search');
set(plot4(3),'Color',[0.0784313725490196 0.168627450980392 0.549019607843137],'LineWidth',3,'DisplayName','Recourse','LineStyle','--');
% Create ylabel
%ylabel('Foreclosure rate (%)');
xlabel('Time (years)');
%Axis limits
xlim([tq(1) tq(length(tq))]);
%ylim([ymin ymax]);
%Create title
title('Foreclosure Rate');

%%%Subplot 5%%%
x  = tq;
y1 = invest_k(x0:x1,1)/invest_k(x0,1);
y2 = invest_k(x0:x1,2)/invest_k(x0,2);
y3 = invest_k(x0:x1,3)/invest_k(x0,3);

if (boom == 1)
    ymin = 1;
    ymax = 1.01*max(max(max(abs(y3)),max(abs(y1))),max(abs(y2)));
else
    ymin = 0.99*min(min(min(abs(y3)),min(abs(y1))),min(abs(y2)));
    ymax = 1.01;
end

%Create subplot
subplot5 = subplot(4,2,5,'Parent',figure1,'XTick',0:10:1/0.1*floor(0.1*tq(length(tq))),'Xgrid','on');
box('on');
hold('all');
%Create multiple lines using matrix input to plot
plot5 = plot(x,y1,x,y2,x,y3,'Parent',subplot5);
set(plot5(1),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'LineWidth',3,'DisplayName','Baseline');
set(plot5(2),'Color',[0.701960784313725 0.780392156862745 1],'LineWidth',3,'DisplayName','No search');
set(plot5(3),'Color',[0.0784313725490196 0.168627450980392 0.549019607843137],'LineWidth',3,'DisplayName','Recourse','LineStyle','--');
%Create ylabel
%ylabel('Non-residential investment (normalized)');
xlabel('Time (years)');
%Axis limits
xlim([tq(1) tq(length(tq))]);
ylim([ymin ymax]);
%Create title
title('Non-Residential Investment');

%%%Subplot 6%%%
x  = tq;
y1 = invest_h(x0:x1,1)/invest_h(x0,1);
y2 = invest_h(x0:x1,2)/invest_h(x0,2);
y3 = invest_h(x0:x1,3)/invest_h(x0,3);

if (boom == 1)
    ymin = 1;
    ymax = 1.01*max(max(max(abs(y3)),max(abs(y1))),max(abs(y2)));
else
    ymin = 0.99*min(min(min(abs(y3)),min(abs(y1))),min(abs(y2)));
    ymax = 1.01;
end

% Create subplot
subplot6 = subplot(4,2,6,'Parent',figure1,'XTick',0:10:1/0.1*floor(0.1*tq(length(tq))),'Xgrid','on');
box('on');
hold('all');
% Create multiple lines using matrix input to plot
plot6 = plot(x,y1,x,y2,x,y3,'Parent',subplot6);
set(plot6(1),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'LineWidth',3,'DisplayName','Baseline');
set(plot6(2),'Color',[0.701960784313725 0.780392156862745 1],'LineWidth',3,'DisplayName','No search');
set(plot6(3),'Color',[0.0784313725490196 0.168627450980392 0.549019607843137],'LineWidth',3,'DisplayName','Recourse','LineStyle','--');
% Create ylabel
%ylabel('Residential investment (normalized)');
xlabel('Time (years)');
%Axis limits
xlim([tq(1) tq(length(tq))]);
ylim([ymin ymax]);
%Create title
title('Residential Investment');

%%%Subplot 7%%%
x  = tq;
y1 = assets(x0:x1,1)/assets(x0,1);
y2 = assets(x0:x1,2)/assets(x0,2);
y3 = assets(x0:x1,3)/assets(x0,3);

if (boom == 1)
    ymin = 1;
    ymax = 1.01*max(max(max(abs(y3)),max(abs(y1))),max(abs(y2)));
else
    ymin = 0.99*min(min(min(abs(y3)),min(abs(y1))),min(abs(y2)));
    ymax = 1.01;
end

%Create subplot
subplot7 = subplot(4,2,7,'Parent',figure1,'XTick',0:10:1/0.1*floor(0.1*tq(length(tq))),'Xgrid','on');
box('on');
hold('all');
%Create multiple lines using matrix input to plot
plot7 = plot(x,y1,x,y2,x,y3,'Parent',subplot7);
set(plot7(1),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'LineWidth',3,'DisplayName','Baseline');
set(plot7(2),'Color',[0.701960784313725 0.780392156862745 1],'LineWidth',3,'DisplayName','No search');
set(plot7(3),'Color',[0.0784313725490196 0.168627450980392 0.549019607843137],'LineWidth',3,'DisplayName','Recourse','LineStyle','--');
%Create ylabel
%ylabel('Financial assets (normalized)');
xlabel('Time (years)');
%Axis limits
xlim([tq(1) tq(length(tq))]);
ylim([ymin ymax]);
%Create title
title('Financial Assets');

%%%Subplot 8%%%
x  = tq;
y1 = mortdebt(x0:x1,1)/mortdebt(x0,1);
y2 = mortdebt(x0:x1,2)/mortdebt(x0,2);
y3 = mortdebt(x0:x1,3)/mortdebt(x0,3);

if (boom == 1)
    ymin = 1;
    ymax = 1.01*max(max(max(abs(y3)),max(abs(y1))),max(abs(y2)));
else
    ymin = 0.99*min(min(min(abs(y3)),min(abs(y1))),min(abs(y2)));
    ymax = 1.01;
end

% Create subplot
subplot8 = subplot(4,2,8,'Parent',figure1,'XTick',0:10:1/0.1*floor(0.1*tq(length(tq))),'Xgrid','on');
box('on');
hold('all');
% Create multiple lines using matrix input to plot
plot8 = plot(x,y1,x,y2,x,y3,'Parent',subplot8);
set(plot8(1),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'LineWidth',3,'DisplayName','Baseline');
set(plot8(2),'Color',[0.701960784313725 0.780392156862745 1],'LineWidth',3,'DisplayName','No search');
set(plot8(3),'Color',[0.0784313725490196 0.168627450980392 0.549019607843137],'LineWidth',3,'DisplayName','Recourse','LineStyle','--');
% Create ylabel
%ylabel('Mortgage debt (normalized)');
xlabel('Time (years)');
%Axis limits
xlim([tq(1) tq(length(tq))]);
ylim([ymin ymax]);
%Create title
title('Mortgage Debt');

% Create legend
legend(subplot1,'show');
legend(subplot2,'show');
legend(subplot3,'show');
legend(subplot4,'show');
legend(subplot5,'show');
legend(subplot6,'show');
legend(subplot7,'show');
legend(subplot8,'show');

MakeTightFigure;