%%%%%%%%%%%Mortgage default premia (assumes nu = 1)%%%%%%%%%%%%%

load model_output.mat

nph = 3;
nk  = 3;

ik    = 3;
iph   = 2; %1;
iagg1 = nph*(ik - 1) + iph;
iph   = 2; %3;
iagg2 = nph*(ik - 1) + iph;

x1_0 = 1;
x1_1 = 41;
x2_0 = 1;
x2_1 = 41;

ib  = 1;
ih  = 3;
is  = 3; %1;
iz1 = 1;
iz2 = 3;

% Create figure
figure1 = figure;
%Position
set(gcf,'position',[100 100 300 275]);

%%%Subplot 1%%%
x1 = mm/ph(iagg1);
x2 = mm/ph(iagg2);
y1 = defaultprem_baseline(:,ib,ih,is,iz1,iagg1);
y2 = defaultprem_baseline(:,ib,ih,is,iz2,iagg2);
y3 = defaultprem_nosearch(:,ib,ih,is,iz1,iagg1);
y4 = defaultprem_nosearch(:,ib,ih,is,iz2,iagg2);

% Create subplot
subplot1 = subplot(1,1,1,'Parent',figure1,'Ytick',0:2:18);
box('on');
hold('all');
% Create multiple lines using matrix input to plot
plot1 = plot(x1,y1,x2,y2,x1,y3,x2,y4,'Parent',subplot1,'LineWidth',3);
set(plot1(1),'Color',[0.701960784313725 0.780392156862745 1],'DisplayName','z_{low}, baseline');
set(plot1(2),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'DisplayName','z_{high}, baseline');
set(plot1(3),'Color',[0.701960784313725 0.780392156862745 1],'LineStyle','--','DisplayName','z_{low}, no search');
set(plot1(4),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'LineStyle','--','DisplayName','z_{high}, no search');
% Create xlabel
xlabel('Leverage');
% Create ylabel
ylabel('Default Premium (%)');
%Axis limits
xlim([0.7 1]);
ylim([0 18]);
% Create title
%title({'Mortgage Default Premia'});
% Create legend
legend(subplot1,'show');

MakeTightFigure;