load model_output.mat

%%%%%%%%%%%Buying behavior%%%%%%%%%%%%%
nph = 3;
nk  = 3;

ik    = 2;
iph   = 2;
iagg1 = nph*(ik - 1) + iph;
iph   = 3;
iagg2 = nph*(ik - 1) + iph;

x0  = 51;
x1  = 171;
is  = 3;
iz1 = 2;
iz2 = 2;

% Create figure
figure1 = figure;
%Position
set(gcf,'position',[100 100 900 650]);

%%%Subplot 1%%%
x  = yy(:,1,is,1,1);
y1 = xb_f0(:,is,iz1,iagg1);
y2 = xb_f0(:,is,iz2,iagg2);

subplot1 = subplot(2,3,1,'Parent',figure1,'XTick',x(x0):5:x(x1));
box('on');
hold('all');
% Create multiple lines using matrix input to plot
plot1 = plot(x,y1,x,y2,'Parent',subplot1,'LineWidth',3);
set(plot1(1),'Color',[0.701960784313725 0.780392156862745 1],'DisplayName','p_{h,low}');
set(plot1(2),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'DisplayName','p_{h,high}');
% Create xlabel
xlabel('Cash at hand');
% Create ylabel
ylabel('Purchase price x_b');
%Axis limits
xlim([0 ceil(x(x1))]);

%%%Subplot 2%%%
x  = yy(:,1,is,1,1);
y1 = pbuy_f0(:,is,iz1,iagg1);
y2 = pbuy_f0(:,is,iz2,iagg2);

% Create subplot
subplot2 = subplot(2,3,2,'Parent',figure1,'XTick',x(x0):5:x(x1));
box('on');
hold('all');
% Create multiple lines using matrix input to plot
plot2 = plot(x,y1,x,y2,'Parent',subplot2,'LineWidth',3);
set(plot2(1),'Color',[0.701960784313725 0.780392156862745 1],'DisplayName','p_{h,low}');
set(plot2(2),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'DisplayName','p_{h,high}');
% Create xlabel
xlabel('Cash at hand');
% Create ylabel
ylabel('Buying probability p_b(\theta_b(x_b,h;p_h))');
%Axis limits
xlim([0 ceil(x(x1))]);

%%%Subplot 3%%%
x  = yy(:,1,is,1,1);
y1 = buydur_f0(:,is,iz1,iagg1);
y2 = buydur_f0(:,is,iz2,iagg2);

% Create subplot
subplot3 = subplot(2,3,3,'Parent',figure1,'XTick',x(x0):5:x(x1),'Ytick',0:2:20);
box('on');
hold('all');
% Create multiple lines using matrix input to plot
plot3 = plot(x,y1,x,y2,'Parent',subplot3,'LineWidth',3);
set(plot3(1),'Color',[0.701960784313725 0.780392156862745 1],'DisplayName','p_{h,low}');
set(plot3(2),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'DisplayName','p_{h,high}');
% Create xlabel
xlabel('Cash at hand');
% Create ylabel
ylabel('Time looking for a house (in weeks)');
%Axis limits
xlim([0 ceil(x(x1))]);

%%%Subplot 4%%%
ik    = 2;
iph   = 2;
iagg1 = nph*(ik - 1) + iph;
iph   = 2;
iagg2 = nph*(ik - 1) + iph;

iz1 = 1;
iz2 = 3;

x  = yy(:,1,is,1,1);
y1 = xb_f0(:,is,iz1,iagg1);
y2 = xb_f0(:,is,iz2,iagg2);

subplot4 = subplot(2,3,4,'Parent',figure1,'XTick',x(x0):5:x(x1));
box('on');
hold('all');
% Create multiple lines using matrix input to plot
plot4 = plot(x,y1,x,y2,'Parent',subplot4,'LineWidth',3);
set(plot4(1),'Color',[0.701960784313725 0.780392156862745 1],'DisplayName','z_{low}');
set(plot4(2),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'DisplayName','z_{high}');
% Create xlabel
xlabel('Cash at hand');
% Create ylabel
ylabel('Purchase price x_b');
%Axis limits
xlim([0 ceil(x(x1))]);

%%%Subplot 5%%%
x  = yy(:,1,is,1,1);
y1 = pbuy_f0(:,is,iz1,iagg1);
y2 = pbuy_f0(:,is,iz2,iagg2);

% Create subplot
subplot5 = subplot(2,3,5,'Parent',figure1,'XTick',x(x0):5:x(x1));
box('on');
hold('all');
% Create multiple lines using matrix input to plot
plot5 = plot(x,y1,x,y2,'Parent',subplot5,'LineWidth',3);
set(plot5(1),'Color',[0.701960784313725 0.780392156862745 1],'DisplayName','z_{low}');
set(plot5(2),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'DisplayName','z_{high}');
% Create xlabel
xlabel('Cash at hand');
% Create ylabel
ylabel('Buying probability p_b(\theta_b(x_b,h;p_h))');
%Axis limits
xlim([0 ceil(x(x1))]);

%%%Subplot 7%%%
x  = yy(:,1,is,1,1);
y1 = buydur_f0(:,is,iz1,iagg1);
y2 = buydur_f0(:,is,iz2,iagg2);

% Create subplot
subplot6 = subplot(2,3,6,'Parent',figure1,'XTick',x(x0):5:x(x1),'Ytick',0:2:20);
box('on');
hold('all');
% Create multiple lines using matrix input to plot
plot6 = plot(x,y1,x,y2,'Parent',subplot6,'LineWidth',3);
set(plot6(1),'Color',[0.701960784313725 0.780392156862745 1],'DisplayName','z_{low}');
set(plot6(2),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'DisplayName','z_{high}');
% Create xlabel
xlabel('Cash at hand');
% Create ylabel
ylabel('Time looking for a house (in weeks)');
%Axis limits
xlim([0 ceil(x(x1))]);

% Create legend
legend(subplot1,'show');
legend(subplot2,'show');
legend(subplot3,'show');
legend(subplot4,'show');
legend(subplot5,'show');
legend(subplot6,'show');