%%%%%%%%%%%Selling as a function of leverage (assumes nu = 1)%%%%%%%%%%%%%

load model_output.mat

nph = 3;
nk  = 3;

ik    = 2;
iph   = 1;
iagg1 = nph*(ik - 1) + iph;
iph   = 3;
iagg2 = nph*(ik - 1) + iph;

x1_0 = 1;
x1_1 = 41;
x2_0 = 1;
x2_1 = 50;

iy = 61; %91
ih = 3;
is = 1;
iz = 1;

% Create figure
figure1 = figure;
%Position
set(gcf,'position',[100 100 900 300]);

%%%Subplot 1%%%
x1 = mm/ph(iagg1);
x2 = mm/ph(iagg1);
y1 = xsratio_f0(iy,:,ih,is,iz,iagg1);
y2 = xsratio_f0(iy,:,ih,is,iz,iagg2);

subplot1 = subplot(1,3,1,'Parent',figure1,'YTick',0.8:0.04:0.96,'XTick',0:0.2:1.2);
box('on');
hold('all');
% Create multiple lines using matrix input to plot
plot1 = plot(x1,y1,x2,y2,'Parent',subplot1,'LineWidth',3);
set(plot1(1),'Color',[0.701960784313725 0.780392156862745 1],'DisplayName','p_{h,low}');
set(plot1(2),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'DisplayName','p_{h,high}');
% Create xlabel
xlabel('Mortgage debt');
% Create ylabel
ylabel('Relative selling price x_s/p_h h');
%Axis limits
xlim([0 1.2]);
ylim([0.78 0.98]);
% Create title
%title({'Choice of Selling Discount'});

%%%Subplot 2%%%
x1 = mm/ph(iagg1);
x2 = mm/ph(iagg1);
y1 = psell_f0(iy,:,ih,is,iz,iagg1);
y2 = psell_f0(iy,:,ih,is,iz,iagg2);

% Create subplot
subplot2 = subplot(1,3,2,'Parent',figure1,'XTick',0:0.2:1.2);
box('on');
hold('all');
% Create multiple lines using matrix input to plot
plot2 = plot(x1,y1,x2,y2,'Parent',subplot2,'LineWidth',3);
set(plot2(1),'Color',[0.701960784313725 0.780392156862745 1],'DisplayName','p_{h,low}');
set(plot2(2),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'DisplayName','p_{h,high}');
% Create xlabel
xlabel('Mortgage debt');
% Create ylabel
ylabel('Selling probability p_s(\theta_s(x_s,h;p_h))');
%Axis limits
xlim([0 1.2]);
%ylim([min(min(y1(x1_0:x1_1),y2(x2_0:x2_1))) max(max(y1(x1_0:x1_1),y2(x2_0:x2_1)))]);
% Create title
%title({'Probability of Selling'});

%%%Subplot 3%%%
x1 = mm/ph(iagg1);
x2 = mm/ph(iagg1);
y1 = selldur_f0(iy,:,ih,is,iz,iagg1);
y2 = selldur_f0(iy,:,ih,is,iz,iagg2);

% Create subplot
subplot3 = subplot(1,3,3,'Parent',figure1,'YTick',0:8:56,'XTick',0:0.2:1.2);
box('on');
hold('all');
% Create multiple lines using matrix input to plot
plot3 = plot(x1,y1,x2,y2,'Parent',subplot3,'LineWidth',3);
set(plot3(1),'Color',[0.701960784313725 0.780392156862745 1],'DisplayName','p_{h,low}');
set(plot3(2),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'DisplayName','p_{h,high}');
% Create xlabel
xlabel('Mortgage debt');
% Create ylabel
ylabel('Time on the market (in weeks)');
%Axis limits
xlim([0 1.2]);
ylim([0 56]);
% Create title
%title({'Time on the Market'});

% Create legend
legend(subplot1,'show');
legend(subplot2,'show');
legend(subplot3,'show');

MakeTightFigure;