%%%%%%%%%%%Selling as a function of cash at hand (assumes nu = 1)%%%%%%%%%%%%%
load model_output.mat

nph = 3;
nk  = 3;

ik    = 2;
iph   = 1;
iagg1 = nph*(ik - 1) + iph;
iph   = 3;
iagg2 = nph*(ik - 1) + iph;

x1_0 = 51;
x1_1 = 200;
x2_0 = 51;
x2_1 = 200;

im = 40;
ih = 1;
is = 3;
iz = 2;

% Create figure
figure1 = figure;
%Position
set(gcf,'position',[100 100 900 300]);

%%%Subplot 1%%%
x1 = yy(:,1,1,1,1);
x2 = yy(:,1,1,1,1);
y1 = xs_f0(:,im,ih,is,iz,iagg1)/(ph(iagg1)*hh(ih));
y2 = xs_f0(:,im,ih,is,iz,iagg2)/(ph(iagg1)*hh(ih));

subplot1 = subplot(1,3,1,'Parent',figure1,'YTick',0.8:0.1:1.2,'Xtick',0:5:30);
box('on');
hold('all');
% Create multiple lines using matrix input to plot
plot1 = plot(x1,y1,x2,y2,'Parent',subplot1,'LineWidth',3);
set(plot1(1),'Color',[0.701960784313725 0.780392156862745 1],'DisplayName','p_{h,low}');
set(plot1(2),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'DisplayName','p_{h,high}');
% Create xlabel
xlabel('Cash at hand');
% Create ylabel
ylabel('Selling price x_s/p_{h,low}h');
%Axis limits
xlim([0 30]);
ylim([0.75 1.3]);
% Create title
%title({'Choice of Selling Price'});

%%%Subplot 3%%%
x1 = yy(:,1,1,1,1);
x2 = yy(:,1,1,1,1);
y1 = psell_f0(:,im,ih,is,iz,iagg1);
y2 = psell_f0(:,im,ih,is,iz,iagg2);

% Create subplot
subplot2 = subplot(1,3,2,'Parent',figure1,'Xtick',0:5:30);
box('on');
hold('all');
% Create multiple lines using matrix input to plot
plot2 = plot(x1,y1,x2,y2,'Parent',subplot2,'LineWidth',3);
set(plot2(1),'Color',[0.701960784313725 0.780392156862745 1],'DisplayName','p_{h,low}');
set(plot2(2),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'DisplayName','p_{h,high}');
% Create xlabel
xlabel('Cash at hand');
% Create ylabel
ylabel('Selling probability p_s(\theta_s(x_s,h;p_h))');
%Axis limits
xlim([0 30]);
%ylim([min(min(y1(x1_0:x1_1),y2(x2_0:x2_1))) max(max(y1(x1_0:x1_1),y2(x2_0:x2_1)))]);
% Create title
%title({'Probability of Selling'});

%%%Subplot 4%%%
x1 = yy(:,1,1,1,1);
x2 = yy(:,1,1,1,1);
y1 = selldur_f0(:,im,ih,is,iz,iagg1);
y2 = selldur_f0(:,im,ih,is,iz,iagg2);

% Create subplot
subplot3 = subplot(1,3,3,'Parent',figure1,'YTick',0:8:56,'Xtick',0:5:30);
box('on');
hold('all');
% Create multiple lines using matrix input to plot
plot3 = plot(x1,y1,x2,y2,'Parent',subplot3,'LineWidth',3);
set(plot3(1),'Color',[0.701960784313725 0.780392156862745 1],'DisplayName','p_{h,low}');
set(plot3(2),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'DisplayName','p_{h,high}');
% Create xlabel
xlabel('Cash at hand');
% Create ylabel
ylabel('Time on the market (in weeks)');
%Axis limits
xlim([0 30]);
ylim([0 56]);
% Create title
%title({'Time on the Market'});

% Create legend
legend(subplot1,'show');
legend(subplot2,'show');
legend(subplot3,'show');

MakeTightFigure;