%%%Load first series
load('model_output.mat')

load IRF\Baseline\Boom_z13\ph_t.txt
pht(:,1) = ph_t;

load IRF\Recourse\Boom_z13\ph_t.txt
pht(:,2) = ph_t;

load IRF\Baseline\Bust_z31\ph_t.txt
pht(:,3) = ph_t;

load IRF\Recourse\Bust_z31\ph_t.txt
pht(:,4) = ph_t;

clear *_t;

%%%%%%%%%%%Mortgage default premia (assumes nu = 1)%%%%%%%%%%%%%
nph = 3;
nk  = 3;

ik    = 1;
iph   = 3;
iagg1 = nph*(ik - 1) + iph;
iph   = 3;
iagg2 = nph*(ik - 1) + iph;

x1_0 = 1;
x1_1 = 41;
x2_0 = 1;
x2_1 = 41;

ib  = 1;
ih  = 3;
is  = 2;
iz1 = 1;
iz2 = 3;

figure1 = figure;
%Position
set(gcf,'position',[100 100 1100 300]);

%%%Subplot 1%%%
x1 = mm/ph(iagg1);
x2 = mm/ph(iagg2);
y1 = defaultprem_baseline(:,ib,ih,is,iz1,iagg1);
y2 = defaultprem_baseline(:,ib,ih,is,iz2,iagg2);
y3 = defaultprem_recourse(:,ib,ih,is,iz1,iagg1);
y4 = defaultprem_recourse(:,ib,ih,is,iz2,iagg2);

% Create subplot
subplot1 = subplot(1,3,1,'Parent',figure1,'Ytick',0:2:18);
box('on');
hold('all');
% Create multiple lines using matrix input to plot
plot1 = plot(x1,y1,x2,y2,x1,y3,x2,y4,'Parent',subplot1,'LineWidth',3);
set(plot1(1),'Color',[0.701960784313725 0.780392156862745 1],'DisplayName','z_{low}, baseline');
set(plot1(2),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'DisplayName','z_{high}, baseline');
set(plot1(3),'Color',[0.701960784313725 0.780392156862745 1],'LineStyle','--','DisplayName','z_{low}, recourse');
set(plot1(4),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'LineStyle','--','DisplayName','z_{high}, recourse');
% Create xlabel
xlabel('Leverage');
% Create ylabel
ylabel('Default Premium (%)');
%Axis limits
xlim([0.7 1]);
ylim([0 18]);

%%%Subplot 2%%%
boom = 1;
x0   = 260;
x1   = 380;
tq   = (x0:x1)'/4-(x0 + 40)/4;

x  = tq;
y1 = pht(x0:x1,1)/pht(x0,1);
y2 = pht(x0:x1,2)/pht(x0,2);

if (boom == 1)
    ymin = 1;
    ymax = 1.01*max(max(abs(y1)),max(abs(y2)));
else
    ymin = 0.99*min(min(abs(y1)),max(min(y2)));
    ymax = 1.01;
end

%Create subplot
subplot2 = subplot(1,3,2,'Parent',figure1,'XTick',0:10:1/0.1*floor(0.1*tq(length(tq))),'Xgrid','on');
box('on');
hold('all');
%Create multiple lines using matrix input to plot
plot2 = plot(x,y1,x,y2,'Parent',subplot2);
set(plot2(1),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'LineWidth',3,'DisplayName','Baseline');
set(plot2(2),'Color',[0.0784313725490196 0.168627450980392 0.549019607843137],'LineWidth',3,'LineStyle','--','DisplayName','Recourse');
%Create ylabel
%ylabel('House prices (normalized)');
xlabel('Time (years)');
%Axis limits
xlim([tq(1) tq(length(tq))]);
ylim([ymin ymax]);

%%%Subplot 3%%%
boom = 0;

x  = tq;
y1 = pht(x0:x1,3)/pht(x0,3);
y2 = pht(x0:x1,4)/pht(x0,4);

if (boom == 1)
    ymin = 1;
    ymax = 1.01*max(max(abs(y1)),max(abs(y2)));
else
    ymin = 0.99*min(min(abs(y1)),max(min(y2)));
    ymax = 1.01;
end

%Create subplot
subplot3 = subplot(1,3,3,'Parent',figure1,'XTick',0:10:1/0.1*floor(0.1*tq(length(tq))),'Xgrid','on');
box('on');
hold('all');
%Create multiple lines using matrix input to plot
plot3 = plot(x,y1,x,y2,'Parent',subplot3);
set(plot3(1),'Color',[0.0431372549019608 0.517647058823529 0.780392156862745],'LineWidth',3,'DisplayName','Baseline');
set(plot3(2),'Color',[0.0784313725490196 0.168627450980392 0.549019607843137],'LineWidth',3,'LineStyle','--','DisplayName','Recourse');
%Create ylabel
%ylabel('House prices (normalized)');
xlabel('Time (years)');
%Axis limits
xlim([tq(1) tq(length(tq))]);
ylim([ymin ymax]);

% Create legend
legend(subplot1,'show');
legend(subplot2,'show');
legend(subplot3,'show');

MakeTightFigure;