function buscyctable = buscycstats(data,lambda)
%Data is a T by n matrix where the first column is GDP
%This function HP filters log(data) and computes a bus. cycle stats. table

T = size(data,1);
n = size(data,2);

%HP filter log(data)
[data_t,data_d] = hpfilter(log(data),lambda);

%Create business cycle statistics table
%Column 1: Std dev(x)
%Column 2: (Std dev(x))/(Std dev(GDP))
%Column 3: corr(x,GDP)
%Column 4: corr(x,x_4) (annual autocorrelation of x)
%Column 5: x/GDP (share of GDP)

buscyctable      = zeros(n,5);
buscyctable(:,1) = 100*(var(data_d).^0.5)';
buscyctable(:,2) = buscyctable(:,1)/buscyctable(1,1);
for i = 1:n
    buscyctable(i,3) = corr(data_d(:,i),data_d(:,1));
    lag              = circshift(data_d(:,i),4);
    buscyctable(i,4) = corr(data_d(5:T,i),lag(5:T));
    buscyctable(i,5) = mean(data(:,i)./data(:,1));
end