function xnew = convertfreq(x,origfreq,newfreq)
%origfreq and newfreq: 1 = annual, 2 = biannual, 4 = quarterly, etc.
n = max(origfreq,newfreq)/min(origfreq,newfreq);
if (n ~= round(n))
    disp('Old and new frequencies are not compatible')
    xnew = x;
else
   if (newfreq > origfreq)
       xnew = zeros(n*size(x,1),size(x,2));
       for t = 1:size(xnew,1)
           xnew(t,:) = x(ceil(t/n),:);
       end
   else
       xtemp = x(1:n*floor(size(x,1)/n),:);
       if (size(x,1) ~= n*floor(size(x,1)/n))
           disp('Data truncated')
       end
       xnew  = zeros(size(xtemp,1)/n,size(xtemp,2));
       for t = 1:size(xnew,1)
          xnew(t,:) = sum(xtemp(1 + (t - 1)*n:t*n,:))/n; 
       end
   end
end