function t = timevec(T0yr,T0per,T1yr,T1per,freq,midpt)

if (T0yr == round(T0yr) && T1yr == round(T1yr))
    if (T0per == round(T0per) && T0per >= 1 && T0per <= freq && T1per == round(T1per) && T1per >= 1 && T1per <= freq)
        %Calculate number of complete years and number of residual quarters
        if (T1per > T0per)
            num_years = T1yr - T0yr;
        else
            num_years = T1yr - T0yr - 1;
        end
        num_residpers = round(freq*(T1yr + (T1per - 1)/freq - (T0yr + (T0per - 1)/freq))) - freq*num_years + 1;
        num_periods   = freq*num_years + num_residpers;
        if (midpt == 0)
            t = linspace(T0yr + (T0per - 1)/freq,T1yr + (T1per - 1)/freq,num_periods)';
        else
            t = linspace(T0yr + 1/(2*freq) + (T0per - 1)/freq,T1yr + 1/(2*freq) + (T1per - 1)/freq,num_periods)';
        end
    else
        disp('Invalid period entry!')
        t = 0;
    end
else
    disp('Invalid year entry!')
    t = 0;
end